Lorene::Et_bin_bhns_extr Class Reference
Stars and black holes

Class for a neutron star in black hole - neutron star binary systems. More...

`#include <et_bin_bhns_extr.h>`

Inheritance diagram for Lorene::Et_bin_bhns_extr:

## Public Member Functions

| Et_bin_bhns_extr (Map &mp_i, int nzet_i, bool relat, const Eos &eos_i, bool irrot, const Base_vect &ref_triad_i, bool kerrs, bool multi)
| Standard constructor.
| Et_bin_bhns_extr (const Et_bin_bhns_extr &)
| Copy constructor.
| Et_bin_bhns_extr (Map &mp_i, const Eos &eos_i, const Base_vect &ref_triad_i, FILE *fich)
| Constructor from a file (see `sauve(FILE*)` ).
virtual | ~Et_bin_bhns_extr ()
| Destructor.
void | operator= (const Et_bin_bhns_extr &)
| Assignment to another `Et_bin_bhns_extr`.
bool | in_kerrschild () const
| Returns `true` for the Kerr-Schild background metric, `false` for the conformally flat one.
bool | with_multipole () const
| Returns `true` for the multipole falloff boundary condition, `false` for the one.
virtual void | sauve (FILE *) const
| Save in a file.
void | hydro_euler_extr (const double &mass, const double &sepa)
| Computes the hydrodynamical quantities relative to the Eulerian observer from those in the fluid frame, as well as `wit_w` and `loggam` in the Kerr-Schild background metric or in the conformally flat one.
void | update_metric_extr (const double &mass, const double &sepa)
| Computes metric coefficients from known potentials, when the companion is a black hole with the Kerr-Schild metric or with the conformally flat one.
void | update_metric_der_comp_extr (const double &mass, const double &sepa)
| Computes the derivative of metric functions related to the companion black hole with the Kerr-Schild metric or with the conformally flat one.
void | kinematics_extr (double omega, const double &mass, const double &sepa)
| Computes the quantities `bsn` and `pot_centri` in the Kerr-Schild background metric or in the conformally flat one.
void | extrinsic_curv_extr (const double &mass, const double &sepa)
| Computes `tkij_auto` and `akcar_auto` from `shift_auto` , `nnn` and `a_car` .
void | equil_bhns_extr_ks (double ent_c, const double &mass, const double &sepa, int mermax, int mermax_poisson, double relax_poisson, int mermax_potvit, double relax_potvit, int np_filter, double thres_adapt, Tbl &diff)
| Computes an equilibrium configuration of a BH-NS binary system in the Kerr-Schild background metric using the falloff boundary condition.
void | equil_bhns_extr_cf (double ent_c, const double &mass, const double &sepa, int mermax, int mermax_poisson, double relax_poisson, int mermax_potvit, double relax_potvit, int np_filter, double thres_adapt, Tbl &diff)
| Computes an equilibrium configuration of a BH-NS binary system in the conformally flat background metric using the falloff boundary condition.
void | equil_bhns_extr_ylm_ks (double ent_c, const double &mass, const double &sepa, double *nu_int, double *beta_int, double *shift_int, int mermax, int mermax_poisson, double relax_poisson, double relax_ylm, int mermax_potvit, double relax_potvit, int np_filter, double thres_adapt, Tbl &diff)
| Computes an equilibrium configuration of a BH-NS binary system in the Kerr-Schild background metric using the multipole falloff boundary condition.
void | equil_bhns_extr_ylm_cf (double ent_c, const double &mass, const double &sepa, double *nu_int, double *beta_int, double *shift_int, int mermax, int mermax_poisson, double relax_poisson, double relax_ylm, int mermax_potvit, double relax_potvit, int np_filter, double thres_adapt, Tbl &diff)
| Computes an equilibrium configuration of a BH-NS binary system in the conformally flat background metric using the multipole falloff boundary condition.
void | test_bhns_extr (const double &mass, const double &sepa, int mermax_poisson, double relax_poisson, int mermax_potvit, double relax_potvit, Tbl &diff)
| Tests the resolution of the Poisson equations when the NS has no matter source.
double | velocity_pot_extr (const double &mass, const double &sepa, int mermax, double precis, double relax)
| Computes the non-translational part of the velocity scalar potential by solving the continuity equation in the Kerr-Schild background metric or in the conformally flat one.
void | ent_max_search (double &xx, double &yy) const
| Searches the position of the maximum enthalpy.
double | phi_longest_rad (double x_max, double y_max) const
| Searches the position (phi) of the longest radius of NS from the position of the maximum enthalpy.
void | get_ylm (int nylm, Cmp **ylmvec) const
| Constructs spherical harmonics.
void | get_integrals (int nylm, double *intvec, Cmp **ylmvec, Cmp source) const
| Computes multipole moments.
Tenseur & | set_logn_comp ()
| Read/write the part of the lapse logarithm (gravitational potential at the Newtonian limit) generated principaly by the companion star.
Tenseur & | set_pot_centri ()
| Read/write the centrifugal potential.
Tenseur & | set_w_shift ()
| Read/write of `w_shift`.
Tenseur & | set_khi_shift ()
| Read/write of `khi_shift`.
bool | is_irrotational () const
| Returns `true` for an irrotational motion, `false` for a corotating one.
const Tenseur & | get_psi0 () const
| Returns the non-translational part of the velocity potential.
const Tenseur & | get_d_psi () const
| Returns the gradient of the velocity potential (Cartesian components with respect to `ref_triad` ).
const Tenseur & | get_wit_w () const
| Returns the spatial projection of the fluid 3-velocity with respect to the co-orbiting observer.
const Tenseur & | get_loggam () const
| Returns the logarithm of the Lorentz factor between the fluid and the co-orbiting observer.
const Tenseur & | get_logn_comp () const
| Returns the part of the lapse logarithm (gravitational potential at the Newtonian limit) generated principaly by the companion star.
const Tenseur & | get_d_logn_auto () const
| Returns the gradient of `logn_auto` (Cartesian components with respect to `ref_triad` ).
const Tenseur & | get_d_logn_auto_regu () const
| Returns the gradient of `logn_auto_regu` (Cartesian components with respect to `ref_triad` ).
const Tenseur & | get_d_logn_comp () const
| Returns the gradient of `logn_comp` (Cartesian components with respect to `ref_triad` ).
const Tenseur & | get_beta_comp () const
| Returns the part of the logarithm of AN generated principaly by the companion star.
const Tenseur & | get_d_beta_auto () const
| Returns the gradient of `beta_auto` (Cartesian components with respect to `ref_triad` ).
const Tenseur & | get_d_beta_comp () const
| Returns the gradient of `beta_comp` (Cartesian components with respect to `ref_triad` ).
const Tenseur & | get_shift_auto () const
| Returns the part of the shift vector generated principaly by the star.
const Tenseur & | get_shift_comp () const
| Returns the part of the shift vector generated principaly by the companion star.
const Tenseur & | get_w_shift () const
| Returns the vector used in the decomposition of `shift_auto` , following Shibata's prescription [Prog.
const Tenseur & | get_khi_shift () const
| Returns the scalar used in the decomposition of `shift_auto` following Shibata's prescription [Prog.
const Tenseur_sym & | get_tkij_auto () const
| Returns the part of the extrinsic curvature tensor generated by `shift_auto` .
const Tenseur_sym & | get_tkij_comp () const
| Returns the part of the extrinsic curvature tensor generated by `shift_comp` .
const Tenseur & | get_akcar_auto () const
| Returns the part of the scalar generated by `shift_auto` , i.e.
const Tenseur & | get_akcar_comp () const
| Returns the part of the scalar generated by `shift_auto` and `shift_comp` , i.e.
const Tenseur & | get_bsn () const
| Returns the shift vector, divided by N , of the rotating coordinates, .
const Tenseur & | get_pot_centri () const
| Returns the centrifugal potential.
const Cmp | get_decouple () const
| Returns the function used to construct `tkij_auto` from `tkij_tot` .
virtual double | mass_b () const
| Baryon mass.
virtual double | mass_g () const
| Gravitational mass.
virtual double | xa_barycenter () const
| Absolute coordinate X of the barycenter of the baryon density, defined according to the formula.
virtual Tenseur | sprod (const Tenseur &t1, const Tenseur &t2) const
| Performs the scalar product of two tensors by contracting the last index of `t1` with the first index of `t2` .
virtual void | hydro_euler ()
| Computes the hydrodynamical quantities relative to the Eulerian observer from those in the fluid frame, as well as `wit_w` and `loggam` .
void | update_metric (const Etoile_bin &comp)
| Computes metric coefficients from known potentials, when the companion is another star.
void | update_metric (const Etoile_bin &comp, const Etoile_bin &star_prev, double relax)
| Same as `update_metric`(const Etoile_bin& ``) but with relaxation.
void | update_metric_der_comp (const Etoile_bin &comp)
| Computes the derivative of metric functions related to the companion star.
virtual void | kinematics (double omega, double x_axe)
| Computes the quantities `bsn` and `pot_centri` .
void | fait_d_psi ()
| Computes the gradient of the total velocity potential .
void | fait_shift_auto ()
| Computes `shift_auto` from `w_shift` and `khi_shift` according to Shibata's prescription [Prog.
virtual void | extrinsic_curvature ()
| Computes `tkij_auto` and `akcar_auto` from `shift_auto` , `nnn` and `a_car` .
void | equilibrium (double ent_c, int mermax, int mermax_poisson, double relax_poisson, int mermax_potvit, double relax_potvit, double thres_adapt, const Tbl &fact, Tbl &diff, const Tbl *ent_limit=0x0)
| Computes an equilibrium configuration.
void | equil_regular (double ent_c, int mermax, int mermax_poisson, double relax_poisson, int mermax_potvit, double relax_potvit, double thres_adapt, const Tbl &fact, Tbl &diff)
| Computes an equilibrium configuration by regularizing the diverging source.
double | velocity_potential (int mermax, double precis, double relax)
| Computes the non-translational part of the velocity scalar potential by solving the continuity equation.
void | relaxation (const Etoile_bin &star_prev, double relax_ent, double relax_met, int mer, int fmer_met)
| Performs a relaxation on `ent` , `logn_auto` , `beta_auto` and `shift_auto` .
Map & | set_mp ()
| Read/write of the mapping.
void | set_enthalpy (const Cmp &)
| Assignment of the enthalpy field.
virtual void | equation_of_state ()
| Computes the proper baryon and energy density, as well as pressure from the enthalpy.
virtual void | equilibrium_spher (double ent_c, double precis=1.e-14, const Tbl *ent_limit=0x0)
| Computes a spherical static configuration.
void | equil_spher_regular (double ent_c, double precis=1.e-14)
| Computes a spherical static configuration.
virtual void | equil_spher_falloff (double ent_c, double precis=1.e-14)
| Computes a spherical static configuration with the outer boundary condition at a finite radius.
const Map & | get_mp () const
| Returns the mapping.
int | get_nzet () const
| Returns the number of domains occupied by the star.
bool | is_relativistic () const
| Returns `true` for a relativistic star, `false` for a Newtonian one.
const Eos & | get_eos () const
| Returns the equation of state.
const Tenseur & | get_ent () const
| Returns the enthalpy field.
const Tenseur & | get_nbar () const
| Returns the proper baryon density.
const Tenseur & | get_ener () const
| Returns the proper total energy density.
const Tenseur & | get_press () const
| Returns the fluid pressure.
const Tenseur & | get_ener_euler () const
| Returns the total energy density with respect to the Eulerian observer.
const Tenseur & | get_s_euler () const
| Returns the trace of the stress tensor in the Eulerian frame.
const Tenseur & | get_gam_euler () const
| Returns the Lorentz factor between the fluid and Eulerian observers.
const Tenseur & | get_u_euler () const
| Returns the fluid 3-velocity with respect to the Eulerian observer.
const Tenseur & | get_logn_auto () const
| Returns the logarithm of the part of the lapse N generated principaly by the star.
const Tenseur & | get_logn_auto_regu () const
| Returns the regular part of the logarithm of the part of the lapse N generated principaly by the star.
const Tenseur & | get_logn_auto_div () const
| Returns the divergent part of the logarithm of the part of the lapse N generated principaly by the star.
const Tenseur & | get_d_logn_auto_div () const
| Returns the gradient of `logn_auto_div`.
const Tenseur & | get_beta_auto () const
| Returns the logarithm of the part of the product AN generated principaly by the star.
const Tenseur & | get_nnn () const
| Returns the total lapse function N.
const Tenseur & | get_shift () const
| Returns the total shift vector .
const Tenseur & | get_a_car () const
| Returns the total conformal factor .
double | ray_eq () const
| Coordinate radius at , [r_unit].
double | ray_eq (int kk) const
| Coordinate radius at , [r_unit].
double | ray_eq_pis2 () const
| Coordinate radius at , [r_unit].
double | ray_eq_pi () const
| Coordinate radius at , [r_unit].
double | ray_eq_3pis2 () const
| Coordinate radius at , [r_unit].
double | ray_pole () const
| Coordinate radius at [r_unit].
virtual const Itbl & | l_surf () const
| Description of the stellar surface: returns a 2-D `Itbl` containing the values of the domain index l on the surface at the collocation points in .
const Tbl & | xi_surf () const
| Description of the stellar surface: returns a 2-D `Tbl` containing the values of the radial coordinate on the surface at the collocation points in .

## Protected Member Functions

virtual void | del_deriv () const
| Deletes all the derived quantities.
virtual void | set_der_0x0 () const
| Sets to `0x0` all the pointers on derived quantities.
virtual void | del_hydro_euler ()
| Sets to `ETATNONDEF` (undefined state) the hydrodynamical quantities relative to the Eulerian observer.
virtual ostream & | operator>> (ostream &) const
| Operator >> (virtual function called by the operator <<).

## Protected Attributes

bool | kerrschild
| Indicator of the background metric: `true` for the Kerr-Shild metric, `false` for the conformally flat one.
bool | multipole
| Indicator of the boundary condition: `true` for the multipole falloff condition, `false` for the one.
bool | irrotational
| `true` for an irrotational star, `false` for a corotating one
const Base_vect & | ref_triad
| Reference triad ("absolute frame"), with respect to which the components of all the member `Tenseur` 's are defined, except for `w_shift` and `ssjm1_wshift` .
Tenseur | psi0
| Scalar potential of the non-translational part of fluid 4-velocity (in the irrotational case).
Tenseur | d_psi
| Gradient of (in the irrotational case) (Cartesian components with respect to `ref_triad` ).
Tenseur | wit_w
| Spatial projection of the fluid 3-velocity with respect to the co-orbiting observer.
Tenseur | loggam
| Logarithm of the Lorentz factor between the fluid and the co-orbiting observer.
Tenseur | logn_comp
| Part of the lapse logarithm (gravitational potential at the Newtonian limit) generated principaly by the companion star.
Tenseur | d_logn_auto
| Gradient of `logn_auto` (Cartesian components with respect to `ref_triad` ).
Tenseur | d_logn_auto_regu
| Gradient of `logn_auto_regu` (Cartesian components with respect to `ref_triad` ).
Tenseur | d_logn_comp
| Gradient of `logn_comp` (Cartesian components with respect to `ref_triad` ).
Tenseur | beta_comp
| Part of the logarithm of AN generated principaly by the companion star.
Tenseur | d_beta_auto
| Gradient of `beta_auto` (Cartesian components with respect to `ref_triad` ).
Tenseur | d_beta_comp
| Gradient of `beta_comp` (Cartesian components with respect to `ref_triad` ).
Tenseur | shift_auto
| Part of the shift vector generated principaly by the star.
Tenseur | shift_comp
| Part of the shift vector generated principaly by the companion star.
Tenseur | w_shift
| Vector used in the decomposition of `shift_auto` , following Shibata's prescription [Prog.
Tenseur | khi_shift
| Scalar used in the decomposition of `shift_auto` , following Shibata's prescription [Prog.
Tenseur_sym | tkij_auto
| Part of the extrinsic curvature tensor generated by `shift_auto` .
Tenseur_sym | tkij_comp
| Part of the extrinsic curvature tensor generated by `shift_comp` .
Tenseur | akcar_auto
| Part of the scalar generated by `shift_auto` , i.e.
Tenseur | akcar_comp
| Part of the scalar generated by `shift_auto` and `shift_comp` , i.e.
Tenseur | bsn
| 3-vector shift, divided by N , of the rotating coordinates, .
Tenseur | pot_centri
| Centrifugal potential.
Cmp | ssjm1_logn
| Effective source at the previous step for the resolution of the Poisson equation for `logn_auto` by means of `Map_et::poisson` .
Cmp | ssjm1_beta
| Effective source at the previous step for the resolution of the Poisson equation for `beta_auto` by means of `Map_et::poisson` .
Cmp | ssjm1_khi
| Effective source at the previous step for the resolution of the Poisson equation for the scalar by means of `Map_et::poisson` .
Tenseur | ssjm1_wshift
| Effective source at the previous step for the resolution of the vector Poisson equation for by means of `Map_et::poisson` .
Cmp | ssjm1_psi
| Effective source at the previous step for the resolution of the Poisson equation for the scalar by means of `Map_et::poisson_interne` .
Cmp | decouple
| Function used to construct the part of generated by the star from the total .
double * | p_xa_barycenter
| Absolute coordinate X of the barycenter of the baryon density.
Map & | mp
| Mapping associated with the star.
int | nzet
| Number of domains of `*mp` occupied by the star.
bool | relativistic
| Indicator of relativity: `true` for a relativistic star, `false` for a Newtonian one.
double | unsurc2
| : `unsurc2=1` for a relativistic star, 0 for a Newtonian one.
int | k_div
| Index of regularity of the gravitational potential `logn_auto` .
const Eos & | eos
| Equation of state of the stellar matter.
Tenseur | ent
| Log-enthalpy (relativistic case) or specific enthalpy (Newtonian case).
Tenseur | nbar
| Baryon density in the fluid frame.
Tenseur | ener
| Total energy density in the fluid frame.
Tenseur | press
| Fluid pressure.
Tenseur | ener_euler
| Total energy density in the Eulerian frame.
Tenseur | s_euler
| Trace of the stress tensor in the Eulerian frame.
Tenseur | gam_euler
| Lorentz factor between the fluid and Eulerian observers.
Tenseur | u_euler
| Fluid 3-velocity with respect to the Eulerian observer.
Tenseur | logn_auto
| Total of the logarithm of the part of the lapse N generated principaly by the star.
Tenseur | logn_auto_regu
| Regular part of the logarithm of the part of the lapse N generated principaly by the star.
Tenseur | logn_auto_div
| Divergent part (if `k_div!=0` ) of the logarithm of the part of the lapse N generated principaly by the star.
Tenseur | d_logn_auto_div
| Gradient of `logn_auto_div` (if `k_div!=0` ).
Tenseur | beta_auto
| Logarithm of the part of the product AN generated principaly by by the star.
Tenseur | nnn
| Total lapse function.
Tenseur | shift
| Total shift vector.
Tenseur | a_car
| Total conformal factor .
double * | p_ray_eq
| Coordinate radius at , .
double * | p_ray_eq_pis2
| Coordinate radius at , .
double * | p_ray_eq_pi
| Coordinate radius at , .
double * | p_ray_eq_3pis2
| Coordinate radius at , .
double * | p_ray_pole
| Coordinate radius at .
Itbl * | p_l_surf
| Description of the stellar surface: 2-D `Itbl` containing the values of the domain index l on the surface at the collocation points in .
Tbl * | p_xi_surf
| Description of the stellar surface: 2-D `Tbl` containing the values of the radial coordinate on the surface at the collocation points in .
double * | p_mass_b
| Baryon mass.
double * | p_mass_g
| Gravitational mass.

## Friends

class | Bin_bhns_extr

## Detailed Description

Class for a neutron star in black hole - neutron star binary systems.

()

In this class, we assume that the mass ratio of NS to BH is extreme, and the effect from a black hole is treated as the external, background field of the Kerr-Schild metric or the conformally flat metric. They are splitted by the boolian indicator.

Definition at line 68 of file et_bin_bhns_extr.h.

## Constructor & Destructor Documentation

## Et_bin_bhns_extr() [1/3]

Lorene::Et_bin_bhns_extr::Et_bin_bhns_extr | ( | Map & | mp_i,
|  | int | nzet_i,
|  | bool | relat,
|  | const Eos & | eos_i,
|  | bool | irrot,
|  | const Base_vect & | ref_triad_i,
|  | bool | kerrs,
|  | bool | multi )

Standard constructor.

Parameters

  mp_i | Mapping on which the star will be defined
  nzet_i | Number of domains occupied by the star
  relat | should be `true` for a relativistic star, `false` for a Newtonian one
  eos_i | Equation of state of the stellar matter
  irrot | should be `true` for an irrotational star, `false` for a corotating one
  ref_triad_i | Reference triad ("absolute frame"), with respect to which the components of all the member `Tenseur` 's are defined, except for `w_shift` and `ssjm1_wshift` whose components are defined with respect to the mapping `mp` Cartesian triad.
  kerrs | should be `true` for the Kerr-Schild background metric, `false` for the conformally flat one
  multi | should be `true` for the multipol falloff boundary condition, `false` for the one

Definition at line 65 of file et_bin_bhns_extr.C.

References Lorene::Etoile_bin::Etoile_bin(), kerrschild, Lorene::Map(), and multipole.

## Et_bin_bhns_extr() [2/3]

Lorene::Et_bin_bhns_extr::Et_bin_bhns_extr | ( | const Et_bin_bhns_extr & | ns | ) |

Copy constructor.

Definition at line 76 of file et_bin_bhns_extr.C.

References Et_bin_bhns_extr(), Lorene::Etoile_bin::Etoile_bin(), kerrschild, and multipole.

## Et_bin_bhns_extr() [3/3]

Lorene::Et_bin_bhns_extr::Et_bin_bhns_extr | ( | Map & | mp_i,
|  | const Eos & | eos_i,
|  | const Base_vect & | ref_triad_i,
|  | FILE * | fich )

Constructor from a file (see `sauve(FILE*)` ).

Parameters

  mp_i | Mapping on which the star will be defined
  eos_i | Equation of state of the stellar matter
  ref_triad_i | Reference triad ("absolute frame"), with respect to which the components of all the member `Tenseur` 's are defined, except for `w_shift` and `ssjm1_wshift` whose components are defined with respect to the mapping `mp` Cartesian triad.
  fich | input file (must have been created by the function `sauve` )

Definition at line 84 of file et_bin_bhns_extr.C.

References Lorene::Etoile_bin::Etoile_bin(), kerrschild, Lorene::Map(), and multipole.

## ~Et_bin_bhns_extr()

Lorene::Et_bin_bhns_extr::~Et_bin_bhns_extr | ( |  | ) |

virtual

Destructor.

Definition at line 101 of file et_bin_bhns_extr.C.

## Member Function Documentation

## del_deriv()

void Lorene::Etoile_bin::del_deriv | ( |  | ) | const

protected virtual inherited

Deletes all the derived quantities.

Reimplemented from Lorene::Etoile.

Definition at line 447 of file etoile_bin.C.

References Lorene::Etoile::del_deriv(), p_xa_barycenter, and set_der_0x0().

## del_hydro_euler()

void Lorene::Etoile_bin::del_hydro_euler | ( |  | ) |

protected virtual inherited

Sets to `ETATNONDEF` (undefined state) the hydrodynamical quantities relative to the Eulerian observer.

Reimplemented from Lorene::Etoile.

Definition at line 467 of file etoile_bin.C.

References del_deriv(), and Lorene::Etoile::del_hydro_euler().

## ent_max_search()

void Lorene::Et_bin_bhns_extr::ent_max_search | ( | double & | xx,
|  | double & | yy ) const

Searches the position of the maximum enthalpy.

Parameters

  xx | [output] x-coordinate of the maximum enthalpy
  yy | [output] y-coordinate of the maximum enthalpy

Definition at line 56 of file et_bin_bhns_extr_max.C.

References Lorene::acos(), Lorene::Etoile::ent, and Lorene::sqrt().

## equation_of_state()

void Lorene::Etoile::equation_of_state | ( |  | ) |

virtual inherited

Computes the proper baryon and energy density, as well as pressure from the enthalpy.

Reimplemented in Lorene::Et_magnetisation, and Lorene::Et_rot_bifluid.

Definition at line 566 of file etoile.C.

References Lorene::Param::add_int(), Lorene::Cmp::allocate_all(), del_deriv(), ener, ent, eos, Lorene::Mg3d::get_grille3d(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), mp, nbar, nzet, press, Lorene::Cmp::set(), Lorene::Mtbl::set(), Lorene::Mtbl::set_etat_qcq(), Lorene::Tbl::set_etat_qcq(), Lorene::Cmp::std_base_scal(), Lorene::Mtbl::t, and Lorene::Grille3d::x.

## equil_bhns_extr_cf()

void Lorene::Et_bin_bhns_extr::equil_bhns_extr_cf | ( | double | ent_c,
|  | const double & | mass,
|  | const double & | sepa,
|  | int | mermax,
|  | int | mermax_poisson,
|  | double | relax_poisson,
|  | int | mermax_potvit,
|  | double | relax_potvit,
|  | int | np_filter,
|  | double | thres_adapt,
|  | Tbl & | diff )

Computes an equilibrium configuration of a BH-NS binary system in the conformally flat background metric using the falloff boundary condition.

The values of `logn_comp` , `beta_comp` , `pot_centri` are held fixed during the iteration.

Parameters

  ent_c | [input] Central enthalpy
  mass | [input] Mass of BH
  sepa | [input] Orbital separation
  mermax | [input] Maximum number of steps
  mermax_poisson | [input] Maximum number of steps in Map_et::poisson
  relax_poisson | [input] Relaxation factor in Map_et::poisson
  mermax_potvit | [input] Maximum number of steps in Map_radial::poisson_compact
  relax_potvit | [input] Relaxation factor in Map_radial::poisson_compact
  np_filter | [input] Number of coefficients in phi which are deleted by filter
  thres_adapt | [input] Threshold on dH/dr for the adaptation of the mapping

  diff

  [output] 1-D `Tbl` for the storage of some error indicators :
  - `diff(0)` : Relative change in the enthalpy field between two successive steps
  - `diff(1)` : Relative error returned by the routine `Etoile_bin::velocity_potential`
  - `diff(2)` : Relative error in the resolution of the Poisson equation for `logn_auto`
  - `diff(3)` : Relative error in the resolution of the Poisson equation for `beta_auto`
  - `diff(4)` : Relative error in the resolution of the equation for `shift_auto` (x comp.)
  - `diff(5)` : Relative error in the resolution of the equation for `shift_auto` (y comp.)
  - `diff(6)` : Relative error in the resolution of the equation for `shift_auto` (z comp.)

Definition at line 839 of file et_bin_bhns_extr_equil.C.

References Lorene::Etoile::a_car, Lorene::abs(), Lorene::Param::add_cmp_mod(), Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Param::add_tbl(), Lorene::Param::add_tenseur_mod(), Lorene::Etoile_bin::akcar_auto, Lorene::Cmp::annule(), Lorene::Etoile::beta_auto, Lorene::Tenseur::change_triad(), Lorene::contract(), Lorene::Etoile_bin::d_beta_auto, Lorene::Etoile_bin::d_logn_auto, Lorene::diffrel(), Lorene::Etoile::ener_euler, Lorene::Etoile::ent, Lorene::Etoile::equation_of_state(), Lorene::Cmp::filtre_phi(), Lorene::flat_scalar_prod_desal(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::Tenseur::gradient(), Lorene::Map_et::homothetie(), hydro_euler_extr(), Lorene::Etoile_bin::irrotational, kerrschild, Lorene::Etoile_bin::khi_shift, Lorene::laplacien(), Lorene::Etoile_bin::loggam, Lorene::Etoile::logn_auto, Lorene::Etoile::logn_auto_regu, Lorene::Etoile_bin::logn_comp, Lorene::max(), Lorene::Etoile::mp, Lorene::Etoile::nnn, Lorene::Etoile::nzet, Lorene::Etoile_bin::pot_centri, Lorene::pow(), Lorene::Etoile::press, Lorene::Etoile::ray_eq_pi(), Lorene::Etoile::ray_pole(), Lorene::Etoile_bin::ref_triad, Lorene::Etoile::relativistic, Lorene::Map_et::resize(), Lorene::Map_et::resize_extr(), Lorene::Etoile::s_euler, Lorene::Tbl::set(), Lorene::Tenseur::set(), Lorene::Tbl::set_etat_qcq(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), Lorene::Etoile_bin::shift_auto, Lorene::sqrt(), Lorene::Etoile_bin::ssjm1_beta, Lorene::Etoile_bin::ssjm1_khi, Lorene::Etoile_bin::ssjm1_logn, Lorene::Etoile_bin::ssjm1_wshift, Lorene::Etoile_bin::tkij_auto, Lorene::Etoile::u_euler, velocity_pot_extr(), and Lorene::Etoile_bin::w_shift.

## equil_bhns_extr_ks()

void Lorene::Et_bin_bhns_extr::equil_bhns_extr_ks | ( | double | ent_c,
|  | const double & | mass,
|  | const double & | sepa,
|  | int | mermax,
|  | int | mermax_poisson,
|  | double | relax_poisson,
|  | int | mermax_potvit,
|  | double | relax_potvit,
|  | int | np_filter,
|  | double | thres_adapt,
|  | Tbl & | diff )

Computes an equilibrium configuration of a BH-NS binary system in the Kerr-Schild background metric using the falloff boundary condition.

The values of `logn_comp` , `beta_comp` , `pot_centri` are held fixed during the iteration.

Parameters

  ent_c | [input] Central enthalpy
  mass | [input] Mass of BH
  sepa | [input] Orbital separation
  mermax | [input] Maximum number of steps
  mermax_poisson | [input] Maximum number of steps in Map_et::poisson
  relax_poisson | [input] Relaxation factor in Map_et::poisson
  mermax_potvit | [input] Maximum number of steps in Map_radial::poisson_compact
  relax_potvit | [input] Relaxation factor in Map_radial::poisson_compact
  np_filter | [input] Number of coefficients in phi which are deleted by filter
  thres_adapt | [input] Threshold on dH/dr for the adaptation of the mapping

  diff

  [output] 1-D `Tbl` for the storage of some error indicators :
  - `diff(0)` : Relative change in the enthalpy field between two successive steps
  - `diff(1)` : Relative error returned by the routine `Etoile_bin::velocity_potential`
  - `diff(2)` : Relative error in the resolution of the Poisson equation for `logn_auto`
  - `diff(3)` : Relative error in the resolution of the Poisson equation for `beta_auto`
  - `diff(4)` : Relative error in the resolution of the equation for `shift_auto` (x comp.)
  - `diff(5)` : Relative error in the resolution of the equation for `shift_auto` (y comp.)
  - `diff(6)` : Relative error in the resolution of the equation for `shift_auto` (z comp.)

Definition at line 88 of file et_bin_bhns_extr_equil.C.

References Lorene::Etoile::a_car, Lorene::abs(), Lorene::Param::add_cmp_mod(), Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Param::add_tbl(), Lorene::Param::add_tenseur_mod(), Lorene::Etoile_bin::akcar_auto, Lorene::Cmp::annule(), Lorene::Etoile::beta_auto, Lorene::Tenseur::change_triad(), Lorene::contract(), Lorene::Etoile_bin::d_beta_auto, Lorene::Etoile_bin::d_logn_auto, Lorene::diffrel(), Lorene::Etoile::ener_euler, Lorene::Etoile::ent, Lorene::Etoile::equation_of_state(), Lorene::exp(), Lorene::Cmp::filtre_phi(), Lorene::flat_scalar_prod_desal(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::Tenseur::gradient(), Lorene::Map_et::homothetie(), hydro_euler_extr(), Lorene::Etoile_bin::irrotational, kerrschild, Lorene::Etoile_bin::khi_shift, Lorene::laplacien(), Lorene::Etoile_bin::loggam, Lorene::Etoile::logn_auto, Lorene::Etoile::logn_auto_regu, Lorene::Etoile_bin::logn_comp, Lorene::max(), Lorene::Etoile::mp, Lorene::Etoile::nnn, Lorene::Etoile::nzet, Lorene::Etoile_bin::pot_centri, Lorene::pow(), Lorene::Etoile::press, Lorene::Etoile::ray_eq_pi(), Lorene::Etoile::ray_pole(), Lorene::Etoile_bin::ref_triad, Lorene::Etoile::relativistic, Lorene::Map_et::resize(), Lorene::Map_et::resize_extr(), Lorene::Etoile::s_euler, Lorene::Tbl::set(), Lorene::Tenseur::set(), Lorene::Tbl::set_etat_qcq(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), Lorene::Etoile_bin::shift_auto, Lorene::sqrt(), Lorene::Etoile_bin::ssjm1_beta, Lorene::Etoile_bin::ssjm1_khi, Lorene::Etoile_bin::ssjm1_logn, Lorene::Etoile_bin::ssjm1_wshift, Lorene::Etoile_bin::tkij_auto, Lorene::Etoile::u_euler, velocity_pot_extr(), and Lorene::Etoile_bin::w_shift.

## equil_bhns_extr_ylm_cf()

void Lorene::Et_bin_bhns_extr::equil_bhns_extr_ylm_cf | ( | double | ent_c,
|  | const double & | mass,
|  | const double & | sepa,
|  | double * | nu_int,
|  | double * | beta_int,
|  | double * | shift_int,
|  | int | mermax,
|  | int | mermax_poisson,
|  | double | relax_poisson,
|  | double | relax_ylm,
|  | int | mermax_potvit,
|  | double | relax_potvit,
|  | int | np_filter,
|  | double | thres_adapt,
|  | Tbl & | diff )

Computes an equilibrium configuration of a BH-NS binary system in the conformally flat background metric using the multipole falloff boundary condition.

The values of `logn_comp` , `beta_comp` , `pot_centri` are held fixed during the iteration.

Parameters

  ent_c | [input] Central enthalpy
  mass | [input] Mass of BH
  sepa | [input] Orbital separation
  nu_int | [input] Multipole moment for logn in the previous step
  beta_int | [input] Multipole moment for beta in the previous step
  shift_int | [input] Multipole moment for shift in the previous step
  mermax | [input] Maximum number of steps
  mermax_poisson | [input] Maximum number of steps in Map_et::poisson
  relax_poisson | [input] Relaxation factor in Map_et::poisson
  relax_ylm | [input] Relaxation factor on the outer boundary condition
  mermax_potvit | [input] Maximum number of steps in Map_radial::poisson_compact
  relax_potvit | [input] Relaxation factor in Map_radial::poisson_compact
  np_filter | [input] Number of coefficients in phi which are deleted by filter
  thres_adapt | [input] Threshold on dH/dr for the adaptation of the mapping

  diff

  [output] 1-D `Tbl` for the storage of some error indicators :
  - `diff(0)` : Relative change in the enthalpy field between two successive steps
  - `diff(1)` : Relative error returned by the routine `Etoile_bin::velocity_potential`
  - `diff(2)` : Relative error in the resolution of the Poisson equation for `logn_auto`
  - `diff(3)` : Relative error in the resolution of the Poisson equation for `beta_auto`
  - `diff(4)` : Relative error in the resolution of the equation for `shift_auto` (x comp.)
  - `diff(5)` : Relative error in the resolution of the equation for `shift_auto` (y comp.)
  - `diff(6)` : Relative error in the resolution of the equation for `shift_auto` (z comp.)

Definition at line 969 of file et_bin_bhns_extr_eq_ylm.C.

References Lorene::Etoile::a_car, Lorene::abs(), Lorene::Param::add_cmp_mod(), Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Param::add_tbl(), Lorene::Param::add_tenseur_mod(), Lorene::Etoile_bin::akcar_auto, Lorene::Cmp::annule(), Lorene::Etoile::beta_auto, Lorene::Tenseur::change_triad(), Lorene::contract(), Lorene::Etoile_bin::d_beta_auto, Lorene::Etoile_bin::d_logn_auto, Lorene::diffrel(), Lorene::Etoile::ener_euler, Lorene::Etoile::ent, Lorene::Etoile::equation_of_state(), Lorene::Cmp::filtre_phi(), Lorene::flat_scalar_prod_desal(), get_integrals(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), get_ylm(), Lorene::Tenseur::gradient(), Lorene::Map_et::homothetie(), hydro_euler_extr(), Lorene::Etoile_bin::irrotational, kerrschild, Lorene::Etoile_bin::khi_shift, Lorene::laplacien(), Lorene::Etoile_bin::loggam, Lorene::Etoile::logn_auto, Lorene::Etoile::logn_auto_regu, Lorene::Etoile_bin::logn_comp, Lorene::max(), Lorene::Etoile::mp, Lorene::Etoile::nnn, Lorene::Etoile::nzet, Lorene::Etoile_bin::pot_centri, Lorene::pow(), Lorene::Etoile::press, Lorene::Etoile::ray_eq_pi(), Lorene::Etoile::ray_pole(), Lorene::Etoile_bin::ref_triad, Lorene::Etoile::relativistic, Lorene::Map_et::resize(), Lorene::Map_et::resize_extr(), Lorene::Etoile::s_euler, Lorene::Tbl::set(), Lorene::Tenseur::set(), Lorene::Tbl::set_etat_qcq(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), Lorene::Etoile_bin::shift_auto, Lorene::skxk(), Lorene::sqrt(), Lorene::Etoile_bin::ssjm1_beta, Lorene::Etoile_bin::ssjm1_khi, Lorene::Etoile_bin::ssjm1_logn, Lorene::Etoile_bin::ssjm1_wshift, Lorene::Etoile_bin::tkij_auto, Lorene::Etoile::u_euler, velocity_pot_extr(), and Lorene::Etoile_bin::w_shift.

## equil_bhns_extr_ylm_ks()

void Lorene::Et_bin_bhns_extr::equil_bhns_extr_ylm_ks | ( | double | ent_c,
|  | const double & | mass,
|  | const double & | sepa,
|  | double * | nu_int,
|  | double * | beta_int,
|  | double * | shift_int,
|  | int | mermax,
|  | int | mermax_poisson,
|  | double | relax_poisson,
|  | double | relax_ylm,
|  | int | mermax_potvit,
|  | double | relax_potvit,
|  | int | np_filter,
|  | double | thres_adapt,
|  | Tbl & | diff )

Computes an equilibrium configuration of a BH-NS binary system in the Kerr-Schild background metric using the multipole falloff boundary condition.

The values of `logn_comp` , `beta_comp` , `pot_centri` are held fixed during the iteration.

Parameters

  ent_c | [input] Central enthalpy
  mass | [input] Mass of BH
  sepa | [input] Orbital separation
  nu_int | [input] Multipole moment for logn in the previous step
  beta_int | [input] Multipole moment for beta in the previous step
  shift_int | [input] Multipole moment for shift in the previous step
  mermax | [input] Maximum number of steps
  mermax_poisson | [input] Maximum number of steps in Map_et::poisson
  relax_poisson | [input] Relaxation factor in Map_et::poisson
  relax_ylm | [input] Relaxation factor on the outer boundary condition
  mermax_potvit | [input] Maximum number of steps in Map_radial::poisson_compact
  relax_potvit | [input] Relaxation factor in Map_radial::poisson_compact
  np_filter | [input] Number of coefficients in phi which are deleted by filter
  thres_adapt | [input] Threshold on dH/dr for the adaptation of the mapping

  diff

  [output] 1-D `Tbl` for the storage of some error indicators :
  - `diff(0)` : Relative change in the enthalpy field between two successive steps
  - `diff(1)` : Relative error returned by the routine `Etoile_bin::velocity_potential`
  - `diff(2)` : Relative error in the resolution of the Poisson equation for `logn_auto`
  - `diff(3)` : Relative error in the resolution of the Poisson equation for `beta_auto`
  - `diff(4)` : Relative error in the resolution of the equation for `shift_auto` (x comp.)
  - `diff(5)` : Relative error in the resolution of the equation for `shift_auto` (y comp.)
  - `diff(6)` : Relative error in the resolution of the equation for `shift_auto` (z comp.)

Definition at line 79 of file et_bin_bhns_extr_eq_ylm.C.

References Lorene::Etoile::a_car, Lorene::abs(), Lorene::Param::add_cmp_mod(), Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Param::add_tbl(), Lorene::Param::add_tenseur_mod(), Lorene::Etoile_bin::akcar_auto, Lorene::Cmp::annule(), Lorene::Etoile::beta_auto, Lorene::Tenseur::change_triad(), Lorene::contract(), Lorene::Etoile_bin::d_beta_auto, Lorene::Etoile_bin::d_logn_auto, Lorene::diffrel(), Lorene::Etoile::ener_euler, Lorene::Etoile::ent, Lorene::Etoile::equation_of_state(), Lorene::exp(), Lorene::Cmp::filtre_phi(), Lorene::flat_scalar_prod_desal(), get_integrals(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), get_ylm(), Lorene::Tenseur::gradient(), Lorene::Map_et::homothetie(), hydro_euler_extr(), Lorene::Etoile_bin::irrotational, kerrschild, Lorene::Etoile_bin::khi_shift, Lorene::laplacien(), Lorene::Etoile_bin::loggam, Lorene::Etoile::logn_auto, Lorene::Etoile::logn_auto_regu, Lorene::Etoile_bin::logn_comp, Lorene::max(), Lorene::Etoile::mp, Lorene::Etoile::nnn, Lorene::Etoile::nzet, Lorene::Etoile_bin::pot_centri, Lorene::pow(), Lorene::Etoile::press, Lorene::Etoile::ray_eq_pi(), Lorene::Etoile::ray_pole(), Lorene::Etoile_bin::ref_triad, Lorene::Etoile::relativistic, Lorene::Map_et::resize(), Lorene::Map_et::resize_extr(), Lorene::Etoile::s_euler, Lorene::Tbl::set(), Lorene::Tenseur::set(), Lorene::Tbl::set_etat_qcq(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), Lorene::Etoile_bin::shift_auto, Lorene::skxk(), Lorene::sqrt(), Lorene::Etoile_bin::ssjm1_beta, Lorene::Etoile_bin::ssjm1_khi, Lorene::Etoile_bin::ssjm1_logn, Lorene::Etoile_bin::ssjm1_wshift, Lorene::Etoile_bin::tkij_auto, Lorene::Etoile::u_euler, velocity_pot_extr(), and Lorene::Etoile_bin::w_shift.

## equil_regular()

void Lorene::Etoile_bin::equil_regular | ( | double | ent_c,
|  | int | mermax,
|  | int | mermax_poisson,
|  | double | relax_poisson,
|  | int | mermax_potvit,
|  | double | relax_potvit,
|  | double | thres_adapt,
|  | const Tbl & | fact,
|  | Tbl & | diff )

inherited

Computes an equilibrium configuration by regularizing the diverging source.

The values of `logn_comp` , `beta_comp` , `pot_centri` are held fixed during the iteration.

Parameters

  ent_c | [input] Central enthalpy
  ent_limit | is the table of enthalpy values on the domain borders
  mermax | [input] Maximum number of steps
  mermax_poisson | [input] Maximum number of steps in Map_et::poisson
  relax_poisson | [input] Relaxation factor in Map_et::poisson
  mermax_potvit | [input] Maximum number of steps in Map_radial::poisson_compact
  relax_potvit | [input] Relaxation factor in Map_radial::poisson_compact
  thres_adapt | [input] Threshold on dH/dr for the adaptation of the mapping

  fact

  [input] 1-D `Tbl` for the input of some factors :
  - `fact(0)` : A resizing factor for the first shell

  diff

  [output] 1-D `Tbl` for the storage of some error indicators :
  - `diff(0)` : Relative change in the enthalpy field between two successive steps
  - `diff(1)` : Relative error returned by the routine `Etoile_bin::velocity_potential`
  - `diff(2)` : Relative error in the resolution of the Poisson equation for `logn_auto`
  - `diff(3)` : Relative error in the resolution of the Poisson equation for `beta_auto`
  - `diff(4)` : Relative error in the resolution of the equation for `shift_auto` (x comp.)
  - `diff(5)` : Relative error in the resolution of the equation for `shift_auto` (y comp.)
  - `diff(6)` : Relative error in the resolution of the equation for `shift_auto` (z comp.)

Definition at line 144 of file et_bin_equil_regu.C.

References Lorene::Etoile::a_car, Lorene::abs(), Lorene::Param::add_cmp_mod(), Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Param::add_tbl(), Lorene::Param::add_tenseur_mod(), akcar_auto, akcar_comp, Lorene::Etoile::beta_auto, Lorene::Tenseur::change_triad(), Lorene::contract(), d_beta_auto, d_beta_comp, d_logn_auto, Lorene::Etoile::d_logn_auto_div, d_logn_comp, Lorene::Tenseur::dec2_dzpuis(), Lorene::diffrel(), Lorene::Etoile::ener_euler, Lorene::Etoile::ent, Lorene::Etoile::eos, Lorene::Etoile::equation_of_state(), Lorene::Cmp::filtre(), Lorene::flat_scalar_prod_desal(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::Tenseur::gradient(), Lorene::Map_et::homothetie(), hydro_euler(), Lorene::Tenseur::inc2_dzpuis(), irrotational, Lorene::Etoile::k_div, khi_shift, Lorene::laplacien(), loggam, Lorene::Etoile::logn_auto, Lorene::Etoile::logn_auto_div, Lorene::Etoile::logn_auto_regu, logn_comp, Lorene::max(), Lorene::Etoile::mp, Lorene::Etoile::nbar, Lorene::Etoile::nnn, Lorene::Etoile::nzet, Lorene::Tenseur::poisson_vect_regu(), pot_centri, Lorene::Etoile::press, Lorene::Etoile::ray_eq(), Lorene::Etoile::ray_pole(), ref_triad, Lorene::Etoile::relativistic, Lorene::Etoile::s_euler, Lorene::Tbl::set(), Lorene::Tenseur::set(), Lorene::Tbl::set_etat_qcq(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), shift_auto, Lorene::sqrt(), ssjm1_beta, ssjm1_khi, ssjm1_logn, ssjm1_wshift, Lorene::Cmp::std_base_scal(), tkij_auto, Lorene::Etoile::u_euler, velocity_potential(), and w_shift.

## equil_spher_falloff()

void Lorene::Etoile::equil_spher_falloff | ( | double | ent_c,
|  | double | precis = 1.e-14 )

virtual inherited

Computes a spherical static configuration with the outer boundary condition at a finite radius.

Parameters

  ent_c | [input] central value of the enthalpy
  precis | [input] threshold in the relative difference between the enthalpy fields of two consecutive steps to stop the iterative procedure (default value: 1.e-14)

Definition at line 57 of file etoile_eqsph_falloff.C.

References a_car, beta_auto, Lorene::diffrel(), Lorene::Cmp::dsdr(), Lorene::Map_af::dsdr(), ener, ener_euler, ent, equation_of_state(), Lorene::exp(), gam_euler, Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::Map_af::homothetie(), logn_auto, mass_b(), mass_g(), mp, nbar, nnn, Lorene::norme(), nzet, press, relativistic, s_euler, Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), shift, Lorene::sqrt(), u_euler, and unsurc2.

## equil_spher_regular()

void Lorene::Etoile::equil_spher_regular | ( | double | ent_c,
|  | double | precis = 1.e-14 )

inherited

Computes a spherical static configuration.

The sources for Poisson equations are regularized by extracting analytical diverging parts.

Parameters

  ent_c | [input] central value of the enthalpy
  precis | [input] threshold in the relative difference between the enthalpy fields of two consecutive steps to stop the iterative procedure (default value: 1.e-14)

Definition at line 115 of file et_equil_spher_regu.C.

References a_car, beta_auto, d_logn_auto_div, Lorene::diffrel(), Lorene::Map_af::dsdr(), ener, ener_euler, ent, eos, equation_of_state(), Lorene::exp(), gam_euler, Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::Map_af::homothetie(), k_div, logn_auto, logn_auto_div, logn_auto_regu, mass_b(), mass_g(), mp, nbar, nnn, Lorene::norme(), nzet, Lorene::Map_af::poisson(), Lorene::Map_af::poisson_regular(), press, relativistic, s_euler, Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), shift, Lorene::sqrt(), Lorene::Cmp::std_base_scal(), u_euler, and unsurc2.

## equilibrium()

void Lorene::Etoile_bin::equilibrium | ( | double | ent_c,
|  | int | mermax,
|  | int | mermax_poisson,
|  | double | relax_poisson,
|  | int | mermax_potvit,
|  | double | relax_potvit,
|  | double | thres_adapt,
|  | const Tbl & | fact,
|  | Tbl & | diff,
|  | const Tbl * | ent_limit = 0x0 )

inherited

Computes an equilibrium configuration.

The values of `logn_comp` , `beta_comp` , `pot_centri` are held fixed during the iteration.

Parameters

  ent_c | [input] Central enthalpy
  mermax | [input] Maximum number of steps
  mermax_poisson | [input] Maximum number of steps in Map_et::poisson
  relax_poisson | [input] Relaxation factor in Map_et::poisson
  mermax_potvit | [input] Maximum number of steps in Map_radial::poisson_compact
  relax_potvit | [input] Relaxation factor in Map_radial::poisson_compact
  thres_adapt | [input] Threshold on dH/dr for the adaptation of the mapping

  fact

  [input] 1-D `Tbl` for the input of some factors :
  - `fact(0)` : A resizing factor for the first shell

  diff

  [output] 1-D `Tbl` for the storage of some error indicators :
  - `diff(0)` : Relative change in the enthalpy field between two successive steps
  - `diff(1)` : Relative error returned by the routine `Etoile_bin::velocity_potential`
  - `diff(2)` : Relative error in the resolution of the Poisson equation for `logn_auto`
  - `diff(3)` : Relative error in the resolution of the Poisson equation for `beta_auto`
  - `diff(4)` : Relative error in the resolution of the equation for `shift_auto` (x comp.)
  - `diff(5)` : Relative error in the resolution of the equation for `shift_auto` (y comp.)
  - `diff(6)` : Relative error in the resolution of the equation for `shift_auto` (z comp.)

  ent_limit | [input] : array of enthalpy values to be set at the boundaries between the domains; if set to 0x0 (default), the initial values will be kept.

Definition at line 184 of file et_bin_equilibrium.C.

References Lorene::Etoile::a_car, Lorene::abs(), Lorene::Param::add_cmp_mod(), Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Param::add_tbl(), Lorene::Param::add_tenseur_mod(), akcar_auto, akcar_comp, Lorene::Etoile::beta_auto, Lorene::Tenseur::change_triad(), Lorene::contract(), d_beta_auto, d_beta_comp, d_logn_auto, d_logn_comp, Lorene::Tenseur::dec2_dzpuis(), Lorene::diffrel(), Lorene::Etoile::ener_euler, Lorene::Etoile::ent, Lorene::Etoile::equation_of_state(), Lorene::Cmp::filtre(), Lorene::flat_scalar_prod_desal(), Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), Lorene::Tenseur::gradient(), Lorene::Map_et::homothetie(), hydro_euler(), Lorene::Tenseur::inc2_dzpuis(), irrotational, khi_shift, Lorene::laplacien(), loggam, Lorene::Etoile::logn_auto, Lorene::Etoile::logn_auto_regu, logn_comp, Lorene::max(), Lorene::Etoile::mp, Lorene::Etoile::nbar, Lorene::Etoile::nnn, Lorene::Etoile::nzet, Lorene::Tenseur::poisson_vect(), pot_centri, Lorene::Etoile::press, Lorene::Etoile::ray_eq(), Lorene::Etoile::ray_pole(), ref_triad, Lorene::Etoile::relativistic, Lorene::Etoile::s_euler, Lorene::Tbl::set(), Lorene::Tenseur::set(), Lorene::Tbl::set_etat_qcq(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), shift_auto, Lorene::sqrt(), ssjm1_beta, ssjm1_khi, ssjm1_logn, ssjm1_wshift, tkij_auto, Lorene::Etoile::u_euler, velocity_potential(), and w_shift.

## equilibrium_spher()

void Lorene::Etoile::equilibrium_spher | ( | double | ent_c,
|  | double | precis = 1.e-14,
|  | const Tbl * | ent_limit = 0x0 )

virtual inherited

Computes a spherical static configuration.

Parameters

  ent_c | [input] central value of the enthalpy
  precis | [input] threshold in the relative difference between the enthalpy fields of two consecutive steps to stop the iterative procedure (default value: 1.e-14)
  ent_limit | [input] : array of enthalpy values to be set at the boundaries between the domains; if set to 0x0 (default), the initial values will be kept.

Definition at line 87 of file etoile_equil_spher.C.

References a_car, Lorene::Map_et::adapt(), Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Param::add_tbl(), beta_auto, Lorene::diffrel(), Lorene::Cmp::dsdr(), Lorene::Map_af::dsdr(), ener, ener_euler, ent, equation_of_state(), Lorene::exp(), gam_euler, Lorene::Map_af::get_alpha(), Lorene::Map_et::get_alpha(), Lorene::Map_af::get_beta(), Lorene::Map_et::get_beta(), get_ent(), Lorene::Mg3d::get_nr(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_nzone(), get_press(), Lorene::Map_af::homothetie(), logn_auto, mass_b(), mass_g(), mp, nbar, nnn, Lorene::norme(), nzet, Lorene::Map_af::poisson(), press, relativistic, s_euler, Lorene::Tenseur::set(), Lorene::Map_af::set_alpha(), Lorene::Map_af::set_beta(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), shift, Lorene::sqrt(), u_euler, and unsurc2.

## extrinsic_curv_extr()

void Lorene::Et_bin_bhns_extr::extrinsic_curv_extr | ( | const double & | mass,
|  | const double & | sepa )

Computes `tkij_auto` and `akcar_auto` from `shift_auto` , `nnn` and `a_car` .

in the Kerr-Schild background metric or in the conformally flat one

Parameters

  mass | mass of the BH
  sepa | separation between NS and BH

In the codes related BH-NS binary systems with extreme mass ratio, "tkij_auto" means A_{tot}^2 A_{NS}^{ij} =-0.5/nnn*(DN_{NS}+DN_{NS}-2/3gammaDN_{NS}) and "akcar_auto" A_{tot}^2 A^{NS}_{ij} A_{NS}^{ij} =A_{tot}^2 gamma gamma tkij_auto tkij_auto

In the codes related BH-NS binary systems with an extreme mass ratio, "tkij_auto" means A_{tot}^2 A_{NS}^{ij} =-0.5/nnn*(DN_{NS}+DN_{NS}-2/3gammaDN_{NS}) and "akcar_auto" A_{tot}^2 A^{NS}_{ij} A_{NS}^{ij} =A_{tot}^2 eta eta tkij_auto tkij_auto

Definition at line 62 of file et_bin_bhns_extr_excurv.C.

References Lorene::Etoile::a_car, Lorene::Etoile_bin::akcar_auto, Lorene::Tenseur::change_triad(), Lorene::contract(), Lorene::Tenseur::gradient(), kerrschild, Lorene::Etoile::mp, Lorene::Etoile::nnn, Lorene::pow(), Lorene::Etoile_bin::ref_triad, Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), Lorene::Etoile_bin::shift_auto, and Lorene::Etoile_bin::tkij_auto.

## extrinsic_curvature()

void Lorene::Etoile_bin::extrinsic_curvature | ( |  | ) |

virtual inherited

Computes `tkij_auto` and `akcar_auto` from `shift_auto` , `nnn` and `a_car` .

Definition at line 64 of file et_bin_extr_curv.C.

References Lorene::Etoile::a_car, akcar_auto, Lorene::Tenseur::change_triad(), Lorene::contract(), Lorene::Tenseur::gradient(), Lorene::Etoile::mp, Lorene::Etoile::nnn, ref_triad, shift_auto, and tkij_auto.

## fait_d_psi()

void Lorene::Etoile_bin::fait_d_psi | ( |  | ) |

inherited

Computes the gradient of the total velocity potential .

Definition at line 764 of file etoile_bin.C.

References Lorene::Etoile::a_car, Lorene::Cmp::annule(), bsn, Lorene::Tenseur::change_triad(), d_psi, Lorene::Etoile::ent, Lorene::exp(), Lorene::Etoile::gam_euler, Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_triad(), irrotational, Lorene::Etoile::mp, Lorene::Etoile::nzet, psi0, ref_triad, Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_triad(), and Lorene::Etoile::unsurc2.

## fait_shift_auto()

void Lorene::Etoile_bin::fait_shift_auto | ( |  | ) |

inherited

Computes `shift_auto` from `w_shift` and `khi_shift` according to Shibata's prescription [Prog.

Theor. Phys. 101 , 1199 (1999)] :

Definition at line 826 of file etoile_bin.C.

References Lorene::Tenseur::dec2_dzpuis(), Lorene::Tenseur::dec_dzpuis(), Lorene::Tenseur::get_etat(), khi_shift, ref_triad, shift_auto, Lorene::skxk(), and w_shift.

## get_a_car()

const Tenseur & Lorene::Etoile::get_a_car | ( |  | ) | const

inline inherited

Returns the total conformal factor .

Definition at line 733 of file etoile.h.

References a_car.

## get_akcar_auto()

const Tenseur & Lorene::Etoile_bin::get_akcar_auto | ( |  | ) | const

inline inherited

Returns the part of the scalar generated by `shift_auto` , i.e.

Definition at line 1204 of file etoile.h.

References akcar_auto.

## get_akcar_comp()

const Tenseur & Lorene::Etoile_bin::get_akcar_comp | ( |  | ) | const

inline inherited

Returns the part of the scalar generated by `shift_auto` and `shift_comp` , i.e.

Definition at line 1210 of file etoile.h.

References akcar_comp.

## get_beta_auto()

const Tenseur & Lorene::Etoile::get_beta_auto | ( |  | ) | const

inline inherited

Returns the logarithm of the part of the product AN generated principaly by the star.

Definition at line 724 of file etoile.h.

References beta_auto.

## get_beta_comp()

const Tenseur & Lorene::Etoile_bin::get_beta_comp | ( |  | ) | const

inline inherited

Returns the part of the logarithm of AN generated principaly by the companion star.

Definition at line 1136 of file etoile.h.

References beta_comp.

## get_bsn()

const Tenseur & Lorene::Etoile_bin::get_bsn | ( |  | ) | const

inline inherited

Returns the shift vector, divided by N , of the rotating coordinates, .

(Cartesian components with respect to `ref_triad` )

Definition at line 1216 of file etoile.h.

References bsn.

## get_d_beta_auto()

const Tenseur & Lorene::Etoile_bin::get_d_beta_auto | ( |  | ) | const

inline inherited

Returns the gradient of `beta_auto` (Cartesian components with respect to `ref_triad` ).

Definition at line 1141 of file etoile.h.

References d_beta_auto.

## get_d_beta_comp()

const Tenseur & Lorene::Etoile_bin::get_d_beta_comp | ( |  | ) | const

inline inherited

Returns the gradient of `beta_comp`
(Cartesian components with respect to `ref_triad` ).

Definition at line 1146 of file etoile.h.

References d_beta_comp.

## get_d_logn_auto()

const Tenseur & Lorene::Etoile_bin::get_d_logn_auto | ( |  | ) | const

inline inherited

Returns the gradient of `logn_auto` (Cartesian components with respect to `ref_triad` ).

Definition at line 1121 of file etoile.h.

References d_logn_auto.

## get_d_logn_auto_div()

const Tenseur & Lorene::Etoile::get_d_logn_auto_div | ( |  | ) | const

inline inherited

Returns the gradient of `logn_auto_div`.

Definition at line 719 of file etoile.h.

References d_logn_auto_div.

## get_d_logn_auto_regu()

const Tenseur & Lorene::Etoile_bin::get_d_logn_auto_regu | ( |  | ) | const

inline inherited

Returns the gradient of `logn_auto_regu` (Cartesian components with respect to `ref_triad` ).

Definition at line 1126 of file etoile.h.

References d_logn_auto_regu.

## get_d_logn_comp()

const Tenseur & Lorene::Etoile_bin::get_d_logn_comp | ( |  | ) | const

inline inherited

Returns the gradient of `logn_comp` (Cartesian components with respect to `ref_triad` ).

Definition at line 1131 of file etoile.h.

References d_logn_comp.

## get_d_psi()

const Tenseur & Lorene::Etoile_bin::get_d_psi | ( |  | ) | const

inline inherited

Returns the gradient of the velocity potential (Cartesian components with respect to `ref_triad` ).

Definition at line 1100 of file etoile.h.

References d_psi.

## get_decouple()

const Cmp Lorene::Etoile_bin::get_decouple | ( |  | ) | const

inline inherited

Returns the function used to construct `tkij_auto`
from `tkij_tot` .

Definition at line 1224 of file etoile.h.

References decouple.

## get_ener()

const Tenseur & Lorene::Etoile::get_ener | ( |  | ) | const

inline inherited

Returns the proper total energy density.

Definition at line 679 of file etoile.h.

References ener.

## get_ener_euler()

const Tenseur & Lorene::Etoile::get_ener_euler | ( |  | ) | const

inline inherited

Returns the total energy density with respect to the Eulerian observer.

Definition at line 685 of file etoile.h.

References ener_euler.

## get_ent()

const Tenseur & Lorene::Etoile::get_ent | ( |  | ) | const

inline inherited

Returns the enthalpy field.

Definition at line 673 of file etoile.h.

References ent.

## get_eos()

const Eos & Lorene::Etoile::get_eos | ( |  | ) | const

inline inherited

Returns the equation of state.

Definition at line 670 of file etoile.h.

References eos.

## get_gam_euler()

const Tenseur & Lorene::Etoile::get_gam_euler | ( |  | ) | const

inline inherited

Returns the Lorentz factor between the fluid and Eulerian observers.

Definition at line 691 of file etoile.h.

References gam_euler.

## get_integrals()

void Lorene::Et_bin_bhns_extr::get_integrals | ( | int | nylm,
|  | double * | intvec,
|  | Cmp ** | ylmvec,
|  | Cmp | source ) const

Computes multipole moments.

Definition at line 255 of file et_bin_bhns_extr_ylm.C.

References Lorene::Valeur::base, Lorene::Map_af::get_alpha(), Lorene::Base_val::get_base_t(), Lorene::Map_af::get_beta(), Lorene::Cmp::integrale(), Lorene::Etoile::mp, Lorene::pow(), Lorene::sqrt(), and Lorene::Cmp::va.

## get_khi_shift()

const Tenseur & Lorene::Etoile_bin::get_khi_shift | ( |  | ) | const

inline inherited

Returns the scalar used in the decomposition of `shift_auto`
following Shibata's prescription [Prog.

Theor. Phys. 101 , 1199 (1999)] :

NB: `w_shift` contains the components of with respect to the Cartesian triad associated with the mapping `mp` .

Definition at line 1186 of file etoile.h.

References khi_shift.

## get_loggam()

const Tenseur & Lorene::Etoile_bin::get_loggam | ( |  | ) | const

inline inherited

Returns the logarithm of the Lorentz factor between the fluid and the co-orbiting observer.

Definition at line 1111 of file etoile.h.

References loggam.

## get_logn_auto()

const Tenseur & Lorene::Etoile::get_logn_auto | ( |  | ) | const

inline inherited

Returns the logarithm of the part of the lapse N generated principaly by the star.

In the Newtonian case, this is the Newtonian gravitational potential (in units of ).

Definition at line 701 of file etoile.h.

References logn_auto.

## get_logn_auto_div()

const Tenseur & Lorene::Etoile::get_logn_auto_div | ( |  | ) | const

inline inherited

Returns the divergent part of the logarithm of the part of the lapse N generated principaly by the star.

In the Newtonian case, this is the diverging part of the Newtonian gravitational potential (in units of ).

Definition at line 715 of file etoile.h.

References logn_auto_div.

## get_logn_auto_regu()

const Tenseur & Lorene::Etoile::get_logn_auto_regu | ( |  | ) | const

inline inherited

Returns the regular part of the logarithm of the part of the lapse N generated principaly by the star.

In the Newtonian case, this is the Newtonian gravitational potential (in units of ).

Definition at line 708 of file etoile.h.

References logn_auto_regu.

## get_logn_comp()

const Tenseur & Lorene::Etoile_bin::get_logn_comp | ( |  | ) | const

inline inherited

Returns the part of the lapse logarithm (gravitational potential at the Newtonian limit) generated principaly by the companion star.

Definition at line 1116 of file etoile.h.

References logn_comp.

## get_mp()

const Map & Lorene::Etoile::get_mp | ( |  | ) | const

inline inherited

Returns the mapping.

Definition at line 659 of file etoile.h.

References Lorene::Map(), and mp.

## get_nbar()

const Tenseur & Lorene::Etoile::get_nbar | ( |  | ) | const

inline inherited

Returns the proper baryon density.

Definition at line 676 of file etoile.h.

References nbar.

## get_nnn()

const Tenseur & Lorene::Etoile::get_nnn | ( |  | ) | const

inline inherited

Returns the total lapse function N.

Definition at line 727 of file etoile.h.

References nnn.

## get_nzet()

int Lorene::Etoile::get_nzet | ( |  | ) | const

inline inherited

Returns the number of domains occupied by the star.

Definition at line 662 of file etoile.h.

References nzet.

## get_pot_centri()

const Tenseur & Lorene::Etoile_bin::get_pot_centri | ( |  | ) | const

inline inherited

Returns the centrifugal potential.

Definition at line 1219 of file etoile.h.

References pot_centri.

## get_press()

const Tenseur & Lorene::Etoile::get_press | ( |  | ) | const

inline inherited

Returns the fluid pressure.

Definition at line 682 of file etoile.h.

References press.

## get_psi0()

const Tenseur & Lorene::Etoile_bin::get_psi0 | ( |  | ) | const

inline inherited

Returns the non-translational part of the velocity potential.

Definition at line 1095 of file etoile.h.

References psi0.

## get_s_euler()

const Tenseur & Lorene::Etoile::get_s_euler | ( |  | ) | const

inline inherited

Returns the trace of the stress tensor in the Eulerian frame.

Definition at line 688 of file etoile.h.

References s_euler.

## get_shift()

const Tenseur & Lorene::Etoile::get_shift | ( |  | ) | const

inline inherited

Returns the total shift vector .

Definition at line 730 of file etoile.h.

References shift.

## get_shift_auto()

const Tenseur & Lorene::Etoile_bin::get_shift_auto | ( |  | ) | const

inline inherited

Returns the part of the shift vector generated principaly by the star.

(Cartesian components with respect to `ref_triad` )

Definition at line 1152 of file etoile.h.

References shift_auto.

## get_shift_comp()

const Tenseur & Lorene::Etoile_bin::get_shift_comp | ( |  | ) | const

inline inherited

Returns the part of the shift vector generated principaly by the companion star.

(Cartesian components with respect to `ref_triad` )

Definition at line 1158 of file etoile.h.

References shift_comp.

## get_tkij_auto()

const Tenseur_sym & Lorene::Etoile_bin::get_tkij_auto | ( |  | ) | const

inline inherited

Returns the part of the extrinsic curvature tensor generated by `shift_auto` .

(Cartesian components with respect to `ref_triad` )

Definition at line 1192 of file etoile.h.

References tkij_auto.

## get_tkij_comp()

const Tenseur_sym & Lorene::Etoile_bin::get_tkij_comp | ( |  | ) | const

inline inherited

Returns the part of the extrinsic curvature tensor generated by `shift_comp` .

(Cartesian components with respect to `ref_triad` )

Definition at line 1198 of file etoile.h.

References tkij_comp.

## get_u_euler()

const Tenseur & Lorene::Etoile::get_u_euler | ( |  | ) | const

inline inherited

Returns the fluid 3-velocity with respect to the Eulerian observer.

Definition at line 694 of file etoile.h.

References u_euler.

## get_w_shift()

const Tenseur & Lorene::Etoile_bin::get_w_shift | ( |  | ) | const

inline inherited

Returns the vector used in the decomposition of `shift_auto` , following Shibata's prescription [Prog.

Theor. Phys. 101 , 1199 (1999)] :

NB: `w_shift` contains the components of with respect to the Cartesian triad associated with the mapping `mp` .

Definition at line 1172 of file etoile.h.

References w_shift.

## get_wit_w()

const Tenseur & Lorene::Etoile_bin::get_wit_w | ( |  | ) | const

inline inherited

Returns the spatial projection of the fluid 3-velocity with respect to the co-orbiting observer.

(Cartesian components with respect to `ref_triad` )

Definition at line 1106 of file etoile.h.

References wit_w.

## get_ylm()

void Lorene::Et_bin_bhns_extr::get_ylm | ( | int | nylm,
|  | Cmp ** | ylmvec ) const

Constructs spherical harmonics.

Definition at line 63 of file et_bin_bhns_extr_ylm.C.

References Lorene::Etoile::mp, Lorene::pow(), Lorene::Cmp::set(), and Lorene::sqrt().

## hydro_euler()

void Lorene::Etoile_bin::hydro_euler | ( |  | ) |

virtual inherited

Computes the hydrodynamical quantities relative to the Eulerian observer from those in the fluid frame, as well as `wit_w` and `loggam` .

The calculation is performed starting from the quantities `ent` , `ener` , `press` , `a_car` and `bsn` ,
which are supposed to be up to date.
From these, the following fields are updated: `gam_euler` , `u_euler` , `ener_euler` , `s_euler` , `wit_w` and `loggam` .

Reimplemented from Lorene::Etoile.

Definition at line 106 of file et_bin_hydro.C.

References Lorene::Etoile::a_car, bsn, d_psi, del_deriv(), Lorene::Etoile::ener, Lorene::Etoile::ener_euler, Lorene::Etoile::ent, Lorene::exp(), Lorene::flat_scalar_prod_desal(), Lorene::Etoile::gam_euler, Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_triad(), irrotational, Lorene::log(), loggam, Lorene::Etoile::mp, Lorene::Etoile::press, Lorene::Etoile::relativistic, Lorene::Etoile::s_euler, Lorene::Tenseur::set_std_base(), sprod(), Lorene::sqrt(), Lorene::Etoile::u_euler, Lorene::Etoile::unsurc2, and wit_w.

## hydro_euler_extr()

void Lorene::Et_bin_bhns_extr::hydro_euler_extr | ( | const double & | mass,
|  | const double & | sepa )

Computes the hydrodynamical quantities relative to the Eulerian observer from those in the fluid frame, as well as `wit_w` and `loggam` in the Kerr-Schild background metric or in the conformally flat one.

The calculation is performed starting from the quantities `ent` , `ener` , `press` , `a_car` and `bsn` ,
which are supposed to be up to date.
From these, the following fields are updated: `gam_euler` , `u_euler` , `ener_euler` , `s_euler` , `wit_w` and `loggam` .

Parameters

  mass | mass of the BH
  sepa | separation between NS and BH

Definition at line 56 of file et_bin_bhns_extr_hydro.C.

References Lorene::Etoile::a_car, Lorene::Etoile_bin::bsn, Lorene::Etoile_bin::d_psi, Lorene::Etoile_bin::del_deriv(), Lorene::Etoile::ener, Lorene::Etoile::ener_euler, Lorene::Etoile::ent, Lorene::exp(), Lorene::Etoile::gam_euler, Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_triad(), Lorene::Etoile_bin::irrotational, kerrschild, Lorene::log(), Lorene::Etoile_bin::loggam, Lorene::Etoile::mp, Lorene::pow(), Lorene::Etoile::press, Lorene::Etoile_bin::ref_triad, Lorene::Etoile::relativistic, Lorene::Etoile::s_euler, Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), Lorene::Etoile_bin::sprod(), Lorene::sqrt(), Lorene::Etoile::u_euler, Lorene::Etoile::unsurc2, and Lorene::Etoile_bin::wit_w.

## in_kerrschild()

bool Lorene::Et_bin_bhns_extr::in_kerrschild | ( |  | ) | const

inline

Returns `true` for the Kerr-Schild background metric, `false` for the conformally flat one.

Definition at line 145 of file et_bin_bhns_extr.h.

References kerrschild.

## is_irrotational()

bool Lorene::Etoile_bin::is_irrotational | ( |  | ) | const

inline inherited

Returns `true` for an irrotational motion, `false` for a corotating one.

Definition at line 1092 of file etoile.h.

References irrotational.

## is_relativistic()

bool Lorene::Etoile::is_relativistic | ( |  | ) | const

inline inherited

Returns `true` for a relativistic star, `false` for a Newtonian one.

Definition at line 667 of file etoile.h.

References relativistic.

## kinematics()

void Lorene::Etoile_bin::kinematics | ( | double | omega,
|  | double | x_axe )

virtual inherited

Computes the quantities `bsn` and `pot_centri` .

The calculation is performed starting from the quantities `nnn` , `shift` , `a_car` ,
which are supposed to be up to date.

Parameters

  omega | angular velocity with respect to an asymptotically inertial observer
  x_axe | absolute X coordinate of the rotation axis

Reimplemented in Lorene::Et_bin_nsbh.

Definition at line 81 of file et_bin_kinema.C.

References bsn, del_deriv(), Lorene::log(), Lorene::Etoile::mp, Lorene::Etoile::nnn, pot_centri, Lorene::Etoile::relativistic, Lorene::Etoile::shift, sprod(), Lorene::sqrt(), Lorene::xa, and Lorene::ya.

## kinematics_extr()

void Lorene::Et_bin_bhns_extr::kinematics_extr | ( | double | omega,
|  | const double & | mass,
|  | const double & | sepa )

Computes the quantities `bsn` and `pot_centri` in the Kerr-Schild background metric or in the conformally flat one.

The calculation is performed starting from the quantities `nnn` , `shift` , `a_car` ,
which are supposed to be up to date.

Parameters

  omega | angular velocity with respect to an asymptotically inertial observer
  mass | mass of the BH
  sepa | separation between NS and BH

Definition at line 55 of file et_bin_bhns_extr_kinema.C.

References Lorene::Etoile::a_car, Lorene::Etoile_bin::bsn, Lorene::Etoile_bin::del_deriv(), kerrschild, Lorene::log(), Lorene::Etoile::mp, Lorene::Etoile::nnn, Lorene::Etoile_bin::pot_centri, Lorene::pow(), Lorene::Etoile_bin::ref_triad, Lorene::Etoile::relativistic, Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), Lorene::Etoile::shift, Lorene::sqrt(), Lorene::xa, and Lorene::ya.

## l_surf()

const Itbl & Lorene::Etoile::l_surf | ( |  | ) | const

virtual inherited

Description of the stellar surface: returns a 2-D `Itbl`
containing the values of the domain index l on the surface at the collocation points in .

The stellar surface is defined as the location where the enthalpy (member `ent` ) vanishes.

Reimplemented in Lorene::Et_rot_bifluid, and Lorene::Etoile_rot.

Definition at line 75 of file etoile_global.C.

References ent, mp, nzet, p_l_surf, and p_xi_surf.

## mass_b()

double Lorene::Etoile_bin::mass_b | ( |  | ) | const

virtual inherited

Baryon mass.

Reimplemented from Lorene::Etoile.

Definition at line 100 of file et_bin_global.C.

References Lorene::Etoile::a_car, Lorene::Etoile::gam_euler, Lorene::Cmp::integrale(), Lorene::integrale(), Lorene::Etoile::nbar, Lorene::Etoile::p_mass_b, Lorene::Etoile::relativistic, Lorene::sqrt(), and Lorene::Cmp::std_base_scal().

## mass_g()

double Lorene::Etoile_bin::mass_g | ( |  | ) | const

virtual inherited

Gravitational mass.

Reimplemented from Lorene::Etoile.

Definition at line 137 of file et_bin_global.C.

References Lorene::Etoile::a_car, Lorene::Etoile::ener_euler, Lorene::Cmp::integrale(), mass_b(), Lorene::Etoile::nnn, Lorene::Etoile::p_mass_g, Lorene::Etoile::relativistic, Lorene::Etoile::s_euler, Lorene::sqrt(), and Lorene::Cmp::std_base_scal().

## operator=()

void Lorene::Et_bin_bhns_extr::operator= | ( | const Et_bin_bhns_extr & | ns | ) |

Assignment to another `Et_bin_bhns_extr`.

Definition at line 110 of file et_bin_bhns_extr.C.

References Et_bin_bhns_extr(), kerrschild, multipole, and Lorene::Etoile_bin::operator=().

## operator>>()

ostream & Lorene::Etoile_bin::operator>> | ( | ostream & | ost | ) | const

protected virtual inherited

Operator >> (virtual function called by the operator <<).

Reimplemented from Lorene::Etoile.

Reimplemented in Lorene::Et_bin_nsbh.

Definition at line 582 of file etoile_bin.C.

References akcar_auto, akcar_comp, Lorene::Etoile::beta_auto, beta_comp, bsn, d_beta_auto, d_beta_comp, d_logn_auto, d_logn_comp, d_psi, Lorene::Etoile::gam_euler, irrotational, khi_shift, loggam, Lorene::Etoile::logn_auto, logn_comp, Lorene::max(), Lorene::min(), Lorene::Etoile::mp, Lorene::Etoile::operator>>(), Lorene::Etoile::ray_eq(), Lorene::Etoile::ray_eq_pi(), Lorene::Etoile::shift, shift_auto, shift_comp, tkij_auto, tkij_comp, Lorene::Etoile::u_euler, w_shift, wit_w, and xa_barycenter().

## phi_longest_rad()

double Lorene::Et_bin_bhns_extr::phi_longest_rad | ( | double | x_max,
|  | double | y_max ) const

Searches the position (phi) of the longest radius of NS from the position of the maximum enthalpy.

Parameters

  x_max | [input] x-coordinate of the maximum enthalpy
  y_max | [input] y-coordinate of the maximum enthalpy

Definition at line 58 of file et_bin_bhns_extr_phi.C.

References Lorene::cos(), Lorene::Valeur::dsdp(), Lorene::Map_et::get_ff(), Lorene::Map_et::get_gg(), Lorene::Etoile::mp, Lorene::sin(), and Lorene::Valeur::val_point().

## ray_eq() [1/2]

double Lorene::Etoile::ray_eq | ( |  | ) | const

inherited

Coordinate radius at , [r_unit].

Definition at line 120 of file etoile_global.C.

References Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq, Lorene::phi, and xi_surf().

## ray_eq() [2/2]

double Lorene::Etoile::ray_eq | ( | int | kk | ) | const

inherited

Coordinate radius at , [r_unit].

Definition at line 440 of file etoile_global.C.

References Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, Lorene::phi, and xi_surf().

## ray_eq_3pis2()

double Lorene::Etoile::ray_eq_3pis2 | ( |  | ) | const

inherited

Coordinate radius at , [r_unit].

Definition at line 335 of file etoile_global.C.

References Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq_3pis2, Lorene::phi, ray_eq_pis2(), and xi_surf().

## ray_eq_pi()

double Lorene::Etoile::ray_eq_pi | ( |  | ) | const

inherited

Coordinate radius at , [r_unit].

Definition at line 256 of file etoile_global.C.

References Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq_pi, Lorene::phi, ray_eq(), and xi_surf().

## ray_eq_pis2()

double Lorene::Etoile::ray_eq_pis2 | ( |  | ) | const

inherited

Coordinate radius at , [r_unit].

Definition at line 169 of file etoile_global.C.

References Lorene::Mg3d::get_np(), Lorene::Mg3d::get_nt(), Lorene::Mg3d::get_type_p(), Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_eq_pis2, Lorene::phi, and xi_surf().

## ray_pole()

double Lorene::Etoile::ray_pole | ( |  | ) | const

inherited

Coordinate radius at [r_unit].

Definition at line 415 of file etoile_global.C.

References Lorene::Mg3d::get_type_t(), l_surf(), mp, p_ray_pole, Lorene::phi, and xi_surf().

## relaxation()

void Lorene::Etoile_bin::relaxation | ( | const Etoile_bin & | star_prev,
|  | double | relax_ent,
|  | double | relax_met,
|  | int | mer,
|  | int | fmer_met )

inherited

Performs a relaxation on `ent` , `logn_auto` , `beta_auto`
and `shift_auto` .

Parameters

  star_prev | [input] star at the previous step.
  relax_ent | [input] Relaxation factor for `ent`
  relax_met | [input] Relaxation factor for `logn_auto` , `beta_auto` , `shift_auto` , only if ``(mer % fmer_met == 0) .
  mer | [input] Step number
  fmer_met | [input] Step interval between metric updates

Definition at line 863 of file etoile_bin.C.

References Lorene::Etoile::beta_auto, Lorene::Etoile::d_logn_auto_div, del_deriv(), Lorene::Etoile::ent, Lorene::Etoile::equation_of_state(), Etoile_bin(), Lorene::Etoile::logn_auto, Lorene::Etoile::logn_auto_div, Lorene::Etoile::logn_auto_regu, and shift_auto.

## sauve()

void Lorene::Et_bin_bhns_extr::sauve | ( | FILE * | fich | ) | const

virtual

Save in a file.

Reimplemented from Lorene::Etoile_bin.

Definition at line 127 of file et_bin_bhns_extr.C.

References kerrschild, multipole, and Lorene::Etoile_bin::sauve().

## set_der_0x0()

void Lorene::Etoile_bin::set_der_0x0 | ( |  | ) | const

protected virtual inherited

Sets to `0x0` all the pointers on derived quantities.

Reimplemented from Lorene::Etoile.

Definition at line 459 of file etoile_bin.C.

References p_xa_barycenter, and Lorene::Etoile::set_der_0x0().

## set_enthalpy()

void Lorene::Etoile::set_enthalpy | ( | const Cmp & | ent_i | ) |

inherited

Assignment of the enthalpy field.

Definition at line 465 of file etoile.C.

References del_deriv(), ent, and equation_of_state().

## set_khi_shift()

Tenseur & Lorene::Etoile_bin::set_khi_shift | ( |  | ) |

inherited

Read/write of `khi_shift`.

Definition at line 545 of file etoile_bin.C.

References del_deriv(), and khi_shift.

## set_logn_comp()

Tenseur & Lorene::Etoile_bin::set_logn_comp | ( |  | ) |

inherited

Read/write the part of the lapse logarithm (gravitational potential at the Newtonian limit) generated principaly by the companion star.

Definition at line 524 of file etoile_bin.C.

References del_deriv(), and logn_comp.

## set_mp()

Map & Lorene::Etoile::set_mp | ( |  | ) |

inline inherited

Read/write of the mapping.

Definition at line 601 of file etoile.h.

References Lorene::Map(), and mp.

## set_pot_centri()

Tenseur & Lorene::Etoile_bin::set_pot_centri | ( |  | ) |

inherited

Read/write the centrifugal potential.

Definition at line 531 of file etoile_bin.C.

References del_deriv(), and pot_centri.

## set_w_shift()

Tenseur & Lorene::Etoile_bin::set_w_shift | ( |  | ) |

inherited

Read/write of `w_shift`.

Definition at line 538 of file etoile_bin.C.

References del_deriv(), and w_shift.

## sprod()

Tenseur Lorene::Etoile_bin::sprod | ( | const Tenseur & | t1,
|  | const Tenseur & | t2 ) const

virtual inherited

Performs the scalar product of two tensors by contracting the last index of `t1` with the first index of `t2` .

Both indices are supposed to be contravariant, so that a multiplication by is performed to lower one index. For instance, for two vectors and , this function returns the scalar .

Definition at line 748 of file etoile_bin.C.

References Lorene::Etoile::a_car, Lorene::flat_scalar_prod(), Lorene::Tenseur::get_type_indice(), and Lorene::Tenseur::get_valence().

## test_bhns_extr()

void Lorene::Et_bin_bhns_extr::test_bhns_extr | ( | const double & | mass,
|  | const double & | sepa,
|  | int | mermax_poisson,
|  | double | relax_poisson,
|  | int | mermax_potvit,
|  | double | relax_potvit,
|  | Tbl & | diff )

Tests the resolution of the Poisson equations when the NS has no matter source.

The solution should be the same as the Kerr-Schild metric

Parameters

  mass | [input] Mass of BH
  sepa | [input] Orbital separation
  mermax_poisson | [input] Maximum number of steps in Map_et::poisson
  relax_poisson | [input] Relaxation factor in Map_et::poisson
  mermax_potvit | [input] Maximum number of steps in Map_radial::poisson_compact
  relax_potvit | [input] Relaxation factor in Map_radial::poisson_compact

  diff

  [output] 1-D `Tbl` for the storage of some error indicators :
  - `diff(0)` : Relative error returned by the routine `Etoile_bin::velocity_potential`
  - `diff(1)` : Relative error in the resolution of the Poisson equation for `logn_auto`
  - `diff(2)` : Relative error in the resolution of the Poisson equation for `beta_auto`
  - `diff(3)` : Relative error in the resolution of the equation for `shift_auto` (x comp.)
  - `diff(4)` : Relative error in the resolution of the equation for `shift_auto` (y comp.)
  - `diff(5)` : Relative error in the resolution of the equation for `shift_auto` (z comp.)

## update_metric() [1/2]

void Lorene::Etoile_bin::update_metric | ( | const Etoile_bin & | comp | ) |

inherited

Computes metric coefficients from known potentials, when the companion is another star.

The calculation is performed starting from the quantities `logn_auto` , `beta_auto` , `shift_auto` , `comp.logn_auto` , `comp.beta_auto` , `comp.shift_auto` which are supposed to be up to date. From these, the following fields are updated: `logn_comp` , `beta_comp` , `shift_comp` , `nnn` , `a_car` , `shift` , `d_logn_auto` , `d_beta_auto` , `tkij_auto` , `akcar_auto` .

Parameters

  comp | companion star.

Definition at line 100 of file et_bin_upmetr.C.

References Lorene::Etoile::a_car, Lorene::Etoile::beta_auto, beta_comp, d_beta_auto, d_logn_auto, Lorene::Etoile::d_logn_auto_div, d_logn_auto_regu, del_deriv(), Etoile_bin(), Lorene::exp(), extrinsic_curvature(), Lorene::Etoile::logn_auto, Lorene::Etoile::logn_auto_regu, logn_comp, Lorene::Etoile::mp, Lorene::Etoile::nnn, ref_triad, Lorene::Etoile::relativistic, Lorene::Etoile::shift, shift_auto, shift_comp, and Lorene::Etoile::unsurc2.

## update_metric() [2/2]

void Lorene::Etoile_bin::update_metric | ( | const Etoile_bin & | comp,
|  | const Etoile_bin & | star_prev,
|  | double | relax )

inherited

Same as `update_metric`(const Etoile_bin& ``) but with relaxation.

Parameters

  comp | companion star.
  star_prev | previous value of the star.
  relax | relaxation parameter.

Definition at line 204 of file et_bin_upmetr.C.

References Lorene::Etoile::a_car, Lorene::Etoile::beta_auto, beta_comp, d_beta_auto, d_logn_auto, Lorene::Etoile::d_logn_auto_div, d_logn_auto_regu, del_deriv(), Etoile_bin(), Lorene::exp(), extrinsic_curvature(), get_beta_comp(), get_logn_comp(), get_shift_comp(), Lorene::Etoile::logn_auto, Lorene::Etoile::logn_auto_regu, logn_comp, Lorene::Etoile::mp, Lorene::Etoile::nnn, ref_triad, Lorene::Etoile::shift, shift_auto, shift_comp, and Lorene::Etoile::unsurc2.

## update_metric_der_comp()

void Lorene::Etoile_bin::update_metric_der_comp | ( | const Etoile_bin & | comp | ) |

inherited

Computes the derivative of metric functions related to the companion star.

The calculation is performed starting from the quantities `comp.d_logn_auto` , `comp.d_beta_auto` , `comp.tkij_auto` which are supposed to be up to date. From these, the following fields are updated: `d_logn_comp` , `d_beta_comp` , `tkij_comp` , `akcar_comp` .

Parameters

  comp | companion star.

Definition at line 84 of file et_bin_upmetr_der.C.

References Lorene::Etoile::a_car, akcar_comp, beta_comp, Lorene::Tenseur::change_triad(), Lorene::contract(), d_beta_auto, d_beta_comp, d_logn_auto, d_logn_comp, del_deriv(), Etoile_bin(), Lorene::Tenseur::gradient(), logn_comp, Lorene::Etoile::mp, Lorene::Etoile::nnn, ref_triad, Lorene::Etoile::relativistic, shift_comp, tkij_auto, and tkij_comp.

## update_metric_der_comp_extr()

void Lorene::Et_bin_bhns_extr::update_metric_der_comp_extr | ( | const double & | mass,
|  | const double & | sepa )

Computes the derivative of metric functions related to the companion black hole with the Kerr-Schild metric or with the conformally flat one.

The calculation is performed starting from the quantities `comp.d_logn_auto` , `comp.d_beta_auto` , `comp.tkij_auto` which are supposed to be up to date. From these, the following fields are updated: `d_logn_comp` , `d_beta_comp` , `tkij_comp` , `akcar_comp` .

Parameters

  mass | mass of the BH
  sepa | separation between NS and BH

The definition of tkij_comp: A_{tot}^2 A_{BH}^{ij} =-0.5/nnn*(DN_{BH}+DN_{BH}-2/3gammaDN_{BH})

Definition at line 61 of file et_bin_bhns_extr_um_der.C.

References Lorene::Etoile::a_car, Lorene::Etoile_bin::akcar_comp, Lorene::Etoile_bin::d_beta_comp, Lorene::Etoile_bin::d_logn_comp, Lorene::Etoile_bin::del_deriv(), kerrschild, Lorene::Etoile::mp, Lorene::Etoile::nnn, Lorene::pow(), Lorene::Etoile_bin::ref_triad, Lorene::Etoile::relativistic, Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), and Lorene::Etoile_bin::tkij_comp.

## update_metric_extr()

void Lorene::Et_bin_bhns_extr::update_metric_extr | ( | const double & | mass,
|  | const double & | sepa )

Computes metric coefficients from known potentials, when the companion is a black hole with the Kerr-Schild metric or with the conformally flat one.

The calculation is performed starting from the quantities `logn_auto` , `beta_auto` , `shift_auto` which are supposed to be up to date. Using the analytical form of the lapse of BH, the conformal factor of BH, and the shift vector of BH, the following fields are updated: `nnn` , `a_car` , `shift` , `d_logn_auto` , `d_beta_auto` , `tkij_auto` , `akcar_auto` .

Parameters

  mass | mass of the BH
  sepa | separation between NS and BH

Definition at line 65 of file et_bin_bhns_extr_upmetr.C.

References Lorene::Etoile::a_car, Lorene::Etoile::beta_auto, Lorene::Etoile_bin::beta_comp, Lorene::Etoile_bin::d_beta_auto, Lorene::Etoile_bin::d_logn_auto, Lorene::Etoile::d_logn_auto_div, Lorene::Etoile_bin::d_logn_auto_regu, Lorene::Etoile_bin::del_deriv(), Lorene::exp(), extrinsic_curv_extr(), kerrschild, Lorene::log(), Lorene::Etoile::logn_auto, Lorene::Etoile::logn_auto_regu, Lorene::Etoile_bin::logn_comp, Lorene::Etoile::mp, Lorene::Etoile::nnn, Lorene::pow(), Lorene::Etoile_bin::ref_triad, Lorene::Etoile::relativistic, Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), Lorene::Etoile::shift, Lorene::Etoile_bin::shift_auto, Lorene::Etoile_bin::shift_comp, Lorene::sqrt(), and Lorene::Etoile::unsurc2.

## velocity_pot_extr()

double Lorene::Et_bin_bhns_extr::velocity_pot_extr | ( | const double & | mass,
|  | const double & | sepa,
|  | int | mermax,
|  | double | precis,
|  | double | relax )

Computes the non-translational part of the velocity scalar potential by solving the continuity equation in the Kerr-Schild background metric or in the conformally flat one.

Parameters

  mass | [input] Mass of BH
  sepa | [input] Orbital separation
  mermax | [input] Maximum number of steps in the iteration
  precis | [input] Required precision: the iteration will be stopped when the relative difference on between two successive steps is lower than `precis` .
  relax | [input] Relaxation factor.

Returns
  Relative error of the resolution obtained by comparing the operator acting on the solution with the source.

Definition at line 67 of file et_bin_bhns_extr_velpot.C.

References Lorene::Etoile::a_car, Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Tenseur::annule(), Lorene::Etoile::beta_auto, Lorene::Etoile_bin::bsn, Lorene::Tenseur::change_triad(), Lorene::Etoile_bin::d_psi, Lorene::diffrel(), Lorene::Etoile::ent, Lorene::Etoile::eos, Lorene::exp(), Lorene::flat_scalar_prod(), Lorene::Etoile::gam_euler, Lorene::Tenseur::get_triad(), Lorene::Tenseur::gradient(), kerrschild, Lorene::Etoile::mp, Lorene::norme(), Lorene::Etoile::nzet, Lorene::pow(), Lorene::Etoile_bin::psi0, Lorene::Etoile_bin::ref_triad, Lorene::Cmp::set(), Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_std_base(), Lorene::Tenseur::set_triad(), Lorene::Etoile::unsurc2, Lorene::Cmp::va, Lorene::Valeur::ylm(), and Lorene::Valeur::ylm_i().

## velocity_potential()

double Lorene::Etoile_bin::velocity_potential | ( | int | mermax,
|  | double | precis,
|  | double | relax )

inherited

Computes the non-translational part of the velocity scalar potential by solving the continuity equation.

Parameters

  mermax | [input] Maximum number of steps in the iteration
  precis | [input] Required precision: the iteration will be stopped when the relative difference on between two successive steps is lower than `precis` .
  relax | [input] Relaxation factor.

Returns
  Relative error of the resolution obtained by comparing the operator acting on the solution with the source.

Definition at line 142 of file et_bin_vel_pot.C.

References Lorene::Etoile::a_car, Lorene::Param::add_cmp_mod(), Lorene::Param::add_double(), Lorene::Param::add_int(), Lorene::Param::add_int_mod(), Lorene::Cmp::annule(), Lorene::Tenseur::annule(), Lorene::Valeur::annule_hard(), Lorene::Etoile::beta_auto, beta_comp, bsn, Lorene::Tenseur::change_triad(), Lorene::contract(), d_psi, Lorene::Tenseur::derive_cov(), Lorene::diffrel(), Lorene::Etoile::ent, Lorene::Etoile::eos, Lorene::exp(), Lorene::flat_scalar_prod(), Lorene::Etoile::gam_euler, Lorene::Tenseur::get_triad(), Lorene::Tenseur::gradient(), Lorene::Tenseur::gradient_spher(), Lorene::log(), Lorene::Etoile::mp, Lorene::Etoile::nnn, Lorene::norme(), Lorene::Etoile::nzet, psi0, ref_triad, Lorene::Cmp::set(), Lorene::Tenseur::set(), Lorene::Valeur::set(), Lorene::Scalar::set_domain(), Lorene::Tenseur::set_etat_qcq(), Lorene::Scalar::set_outer_boundary(), Lorene::Tenseur::set_std_base(), Lorene::Tenseur::set_triad(), Lorene::sqrt(), ssjm1_psi, Lorene::Valeur::std_base_scal(), Lorene::Etoile::unsurc2, Lorene::Cmp::va, Lorene::Valeur::ylm(), and Lorene::Valeur::ylm_i().

## with_multipole()

bool Lorene::Et_bin_bhns_extr::with_multipole | ( |  | ) | const

inline

Returns `true` for the multipole falloff boundary condition, `false` for the one.

Definition at line 150 of file et_bin_bhns_extr.h.

References multipole.

## xa_barycenter()

double Lorene::Etoile_bin::xa_barycenter | ( |  | ) | const

virtual inherited

Absolute coordinate X of the barycenter of the baryon density, defined according to the formula.

where is the Lorentz factor between the fluid and Eulerian observers.

Definition at line 170 of file et_bin_global.C.

References Lorene::Etoile::a_car, Lorene::Etoile::gam_euler, Lorene::Cmp::integrale(), mass_b(), Lorene::Etoile::mp, Lorene::Etoile::nbar, p_xa_barycenter, Lorene::sqrt(), and Lorene::Cmp::std_base_scal().

## xi_surf()

const Tbl & Lorene::Etoile::xi_surf | ( |  | ) | const

inherited

Description of the stellar surface: returns a 2-D `Tbl`
containing the values of the radial coordinate on the surface at the collocation points in .

The stellar surface is defined as the location where the enthalpy (member `ent` ) vanishes.

Definition at line 101 of file etoile_global.C.

References l_surf(), p_l_surf, and p_xi_surf.

## Friends And Related Symbol Documentation

## Bin_bhns_extr

friend class Bin_bhns_extr

friend

Definition at line 522 of file et_bin_bhns_extr.h.

## Member Data Documentation

## a_car

Tenseur Lorene::Etoile::a_car

protected inherited

Total conformal factor .

Definition at line 515 of file etoile.h.

## akcar_auto

Tenseur Lorene::Etoile_bin::akcar_auto

protected inherited

Part of the scalar generated by `shift_auto` , i.e.

Definition at line 938 of file etoile.h.

## akcar_comp

Tenseur Lorene::Etoile_bin::akcar_comp

protected inherited

Part of the scalar generated by `shift_auto` and `shift_comp` , i.e.

Definition at line 944 of file etoile.h.

## beta_auto

Tenseur Lorene::Etoile::beta_auto

protected inherited

Logarithm of the part of the product AN generated principaly by by the star.

Definition at line 506 of file etoile.h.

## beta_comp

Tenseur Lorene::Etoile_bin::beta_comp

protected inherited

Part of the logarithm of AN generated principaly by the companion star.

Definition at line 874 of file etoile.h.

## bsn

Tenseur Lorene::Etoile_bin::bsn

protected inherited

3-vector shift, divided by N , of the rotating coordinates, .

(Cartesian components with respect to `ref_triad` )

Definition at line 950 of file etoile.h.

## d_beta_auto

Tenseur Lorene::Etoile_bin::d_beta_auto

protected inherited

Gradient of `beta_auto` (Cartesian components with respect to `ref_triad` ).

Definition at line 879 of file etoile.h.

## d_beta_comp

Tenseur Lorene::Etoile_bin::d_beta_comp

protected inherited

Gradient of `beta_comp` (Cartesian components with respect to `ref_triad` ).

Definition at line 884 of file etoile.h.

## d_logn_auto

Tenseur Lorene::Etoile_bin::d_logn_auto

protected inherited

Gradient of `logn_auto` (Cartesian components with respect to `ref_triad` ).

Definition at line 859 of file etoile.h.

## d_logn_auto_div

Tenseur Lorene::Etoile::d_logn_auto_div

protected inherited

Gradient of `logn_auto_div` (if `k_div!=0` ).

Definition at line 501 of file etoile.h.

## d_logn_auto_regu

Tenseur Lorene::Etoile_bin::d_logn_auto_regu

protected inherited

Gradient of `logn_auto_regu` (Cartesian components with respect to `ref_triad` ).

Definition at line 864 of file etoile.h.

## d_logn_comp

Tenseur Lorene::Etoile_bin::d_logn_comp

protected inherited

Gradient of `logn_comp` (Cartesian components with respect to `ref_triad` ).

Definition at line 869 of file etoile.h.

## d_psi

Tenseur Lorene::Etoile_bin::d_psi

protected inherited

Gradient of (in the irrotational case) (Cartesian components with respect to `ref_triad` ).

Definition at line 838 of file etoile.h.

## decouple

Cmp Lorene::Etoile_bin::decouple

protected inherited

Function used to construct the part of generated by the star from the total .

Only used for a binary system where the other member is a black hole.

Mainly this `Cmp` is 1 around the hole and 0 around the companion and the sum of `decouple` for the hole and his companion is 1 everywhere.

Definition at line 1000 of file etoile.h.

## ener

Tenseur Lorene::Etoile::ener

protected inherited

Total energy density in the fluid frame.

Definition at line 460 of file etoile.h.

## ener_euler

Tenseur Lorene::Etoile::ener_euler

protected inherited

Total energy density in the Eulerian frame.

Definition at line 465 of file etoile.h.

## ent

Tenseur Lorene::Etoile::ent

protected inherited

Log-enthalpy (relativistic case) or specific enthalpy (Newtonian case).

Definition at line 457 of file etoile.h.

## eos

const Eos& Lorene::Etoile::eos

protected inherited

Equation of state of the stellar matter.

Definition at line 451 of file etoile.h.

## gam_euler

Tenseur Lorene::Etoile::gam_euler

protected inherited

Lorentz factor between the fluid and Eulerian observers.

Definition at line 471 of file etoile.h.

## irrotational

bool Lorene::Etoile_bin::irrotational

protected inherited

`true` for an irrotational star, `false` for a corotating one

Definition at line 822 of file etoile.h.

## k_div

int Lorene::Etoile::k_div

protected inherited

Index of regularity of the gravitational potential `logn_auto` .

If `k_div=0` , `logn_auto` contains the total potential generated principaly by the star, otherwise it should be supplemented by `logn_auto_div` .

Definition at line 449 of file etoile.h.

## kerrschild

bool Lorene::Et_bin_bhns_extr::kerrschild

protected

Indicator of the background metric: `true` for the Kerr-Shild metric, `false` for the conformally flat one.

Definition at line 78 of file et_bin_bhns_extr.h.

## khi_shift

Tenseur Lorene::Etoile_bin::khi_shift

protected inherited

Scalar used in the decomposition of `shift_auto` , following Shibata's prescription [Prog.

Theor. Phys. 101 , 1199 (1999)] :

Definition at line 918 of file etoile.h.

## loggam

Tenseur Lorene::Etoile_bin::loggam

protected inherited

Logarithm of the Lorentz factor between the fluid and the co-orbiting observer.

Definition at line 849 of file etoile.h.

## logn_auto

Tenseur Lorene::Etoile::logn_auto

protected inherited

Total of the logarithm of the part of the lapse N
generated principaly by the star.

In the Newtonian case, this is the Newtonian gravitational potential (in units of ).

Definition at line 484 of file etoile.h.

## logn_auto_div

Tenseur Lorene::Etoile::logn_auto_div

protected inherited

Divergent part (if `k_div!=0` ) of the logarithm of the part of the lapse N
generated principaly by the star.

Definition at line 497 of file etoile.h.

## logn_auto_regu

Tenseur Lorene::Etoile::logn_auto_regu

protected inherited

Regular part of the logarithm of the part of the lapse N
generated principaly by the star.

In the Newtonian case, this is the Newtonian gravitational potential (in units of ).

Definition at line 491 of file etoile.h.

## logn_comp

Tenseur Lorene::Etoile_bin::logn_comp

protected inherited

Part of the lapse logarithm (gravitational potential at the Newtonian limit) generated principaly by the companion star.

Definition at line 854 of file etoile.h.

## mp

Map& Lorene::Etoile::mp

protected inherited

Mapping associated with the star.

Definition at line 429 of file etoile.h.

## multipole

bool Lorene::Et_bin_bhns_extr::multipole

protected

Indicator of the boundary condition: `true` for the multipole falloff condition, `false` for the one.

Definition at line 84 of file et_bin_bhns_extr.h.

## nbar

Tenseur Lorene::Etoile::nbar

protected inherited

Baryon density in the fluid frame.

Definition at line 459 of file etoile.h.

## nnn

Tenseur Lorene::Etoile::nnn

protected inherited

Total lapse function.

Definition at line 509 of file etoile.h.

## nzet

int Lorene::Etoile::nzet

protected inherited

Number of domains of `*mp` occupied by the star.

Definition at line 432 of file etoile.h.

## p_l_surf

Itbl* Lorene::Etoile::p_l_surf

mutable protected inherited

Description of the stellar surface: 2-D `Itbl` containing the values of the domain index l on the surface at the collocation points in .

Definition at line 539 of file etoile.h.

## p_mass_b

double* Lorene::Etoile::p_mass_b

mutable protected inherited

Baryon mass.

Definition at line 547 of file etoile.h.

## p_mass_g

double* Lorene::Etoile::p_mass_g

mutable protected inherited

Gravitational mass.

Definition at line 548 of file etoile.h.

## p_ray_eq

double* Lorene::Etoile::p_ray_eq

mutable protected inherited

Coordinate radius at , .

Definition at line 521 of file etoile.h.

## p_ray_eq_3pis2

double* Lorene::Etoile::p_ray_eq_3pis2

mutable protected inherited

Coordinate radius at , .

Definition at line 530 of file etoile.h.

## p_ray_eq_pi

double* Lorene::Etoile::p_ray_eq_pi

mutable protected inherited

Coordinate radius at , .

Definition at line 527 of file etoile.h.

## p_ray_eq_pis2

double* Lorene::Etoile::p_ray_eq_pis2

mutable protected inherited

Coordinate radius at , .

Definition at line 524 of file etoile.h.

## p_ray_pole

double* Lorene::Etoile::p_ray_pole

mutable protected inherited

Coordinate radius at .

Definition at line 533 of file etoile.h.

## p_xa_barycenter

double* Lorene::Etoile_bin::p_xa_barycenter

mutable protected inherited

Absolute coordinate X of the barycenter of the baryon density.

Definition at line 1006 of file etoile.h.

## p_xi_surf

Tbl* Lorene::Etoile::p_xi_surf

mutable protected inherited

Description of the stellar surface: 2-D `Tbl` containing the values of the radial coordinate on the surface at the collocation points in .

Definition at line 545 of file etoile.h.

## pot_centri

Tenseur Lorene::Etoile_bin::pot_centri

protected inherited

Centrifugal potential.

Definition at line 953 of file etoile.h.

## press

Tenseur Lorene::Etoile::press

protected inherited

Fluid pressure.

Definition at line 461 of file etoile.h.

## psi0

Tenseur Lorene::Etoile_bin::psi0

protected inherited

Scalar potential of the non-translational part of fluid 4-velocity (in the irrotational case).

Definition at line 833 of file etoile.h.

## ref_triad

const Base_vect& Lorene::Etoile_bin::ref_triad

protected inherited

Reference triad ("absolute frame"), with respect to which the components of all the member `Tenseur` 's are defined, except for `w_shift` and `ssjm1_wshift` .

Definition at line 828 of file etoile.h.

## relativistic

bool Lorene::Etoile::relativistic

protected inherited

Indicator of relativity: `true` for a relativistic star, `false` for a Newtonian one.

Definition at line 437 of file etoile.h.

## s_euler

Tenseur Lorene::Etoile::s_euler

protected inherited

Trace of the stress tensor in the Eulerian frame.

Definition at line 468 of file etoile.h.

## shift

Tenseur Lorene::Etoile::shift

protected inherited

Total shift vector.

Definition at line 512 of file etoile.h.

## shift_auto

Tenseur Lorene::Etoile_bin::shift_auto

protected inherited

Part of the shift vector generated principaly by the star.

(Cartesian components with respect to `ref_triad` )

Definition at line 889 of file etoile.h.

## shift_comp

Tenseur Lorene::Etoile_bin::shift_comp

protected inherited

Part of the shift vector generated principaly by the companion star.

(Cartesian components with respect to `ref_triad` )

Definition at line 895 of file etoile.h.

## ssjm1_beta

Cmp Lorene::Etoile_bin::ssjm1_beta

protected inherited

Effective source at the previous step for the resolution of the Poisson equation for `beta_auto` by means of `Map_et::poisson` .

Definition at line 965 of file etoile.h.

## ssjm1_khi

Cmp Lorene::Etoile_bin::ssjm1_khi

protected inherited

Effective source at the previous step for the resolution of the Poisson equation for the scalar by means of `Map_et::poisson` .

is an intermediate quantity for the resolution of the elliptic equation for the shift vector

Definition at line 973 of file etoile.h.

## ssjm1_logn

Cmp Lorene::Etoile_bin::ssjm1_logn

protected inherited

Effective source at the previous step for the resolution of the Poisson equation for `logn_auto` by means of `Map_et::poisson` .

Definition at line 959 of file etoile.h.

## ssjm1_psi

Cmp Lorene::Etoile_bin::ssjm1_psi

protected inherited

Effective source at the previous step for the resolution of the Poisson equation for the scalar by means of `Map_et::poisson_interne` .

Definition at line 989 of file etoile.h.

## ssjm1_wshift

Tenseur Lorene::Etoile_bin::ssjm1_wshift

protected inherited

Effective source at the previous step for the resolution of the vector Poisson equation for by means of `Map_et::poisson` .

is an intermediate quantity for the resolution of the elliptic equation for the shift vector (Components with respect to the Cartesian triad associated with the mapping `mp` )

Definition at line 983 of file etoile.h.

## tkij_auto

Tenseur_sym Lorene::Etoile_bin::tkij_auto

protected inherited

Part of the extrinsic curvature tensor generated by `shift_auto` .

(Cartesian components with respect to `ref_triad` )

Definition at line 925 of file etoile.h.

## tkij_comp

Tenseur_sym Lorene::Etoile_bin::tkij_comp

protected inherited

Part of the extrinsic curvature tensor generated by `shift_comp` .

(Cartesian components with respect to `ref_triad` )

Definition at line 932 of file etoile.h.

## u_euler

Tenseur Lorene::Etoile::u_euler

protected inherited

Fluid 3-velocity with respect to the Eulerian observer.

Definition at line 474 of file etoile.h.

## unsurc2

double Lorene::Etoile::unsurc2

protected inherited

: `unsurc2=1` for a relativistic star, 0 for a Newtonian one.

Definition at line 442 of file etoile.h.

## w_shift

Tenseur Lorene::Etoile_bin::w_shift

protected inherited

Vector used in the decomposition of `shift_auto` , following Shibata's prescription [Prog.

Theor. Phys. 101, 1199 (1999)] :

NB: `w_shift` contains the components of with respect to the Cartesian triad associated with the mapping `mp` .

Definition at line 908 of file etoile.h.

## wit_w

Tenseur Lorene::Etoile_bin::wit_w

protected inherited

Spatial projection of the fluid 3-velocity with respect to
the co-orbiting observer.

(Cartesian components with respect to `ref_triad` )

Definition at line 844 of file etoile.h.

The documentation for this class was generated from the following files:

- et_bin_bhns_extr.h
- et_bin_bhns_extr.C
- et_bin_bhns_extr_eq_ylm.C
- et_bin_bhns_extr_equil.C
- et_bin_bhns_extr_excurv.C
- et_bin_bhns_extr_hydro.C
- et_bin_bhns_extr_kinema.C
- et_bin_bhns_extr_max.C
- et_bin_bhns_extr_phi.C
- et_bin_bhns_extr_um_der.C
- et_bin_bhns_extr_upmetr.C
- et_bin_bhns_extr_velpot.C
- et_bin_bhns_extr_ylm.C